## [For a classification problem if class variable has unequal distribution which technique we should use?](http://stats.stackexchange.com/questions/2131/for-a-classification-problem-if-class-variable-has-unequal-distribution-which-tec)

Your class sample sizes do not seem so unbalanced since you have 30% of observations in your minority class. Logistic regression should be well performing in your case. Depending on the number of predictors that enter your model, you may consider some kind of penalization for parameters estimation, like ridge (L2) or lasso (L1). For an overview of problems with very unbalanced class, see Cramer (1999), The Statistician, 48: 85-94 ([PDF][1]).

I am not familiar with credit scoring techniques, but I found some papers that suggest that you could use SVM with weighted classes, e.g. [Support Vector Machines for Credit Scoring: Extension to Non Standard Cases][2]. As an alternative, you can look at [boosting][3] methods with CART, or Random Forests (in the latter case, it is possible to adapt the sampling strategy so that each class is represented when constructing the classification trees). The paper by Novak and LaDue discuss the pros and cons of [GLM vs Recursive partitioning][4]. I also found this article, [Scorecard construction with unbalanced class sizes][5] by Hand and Vinciotti.


  [1]: http://www.tinbergen.nl/discussionpapers/98085.pdf
  [2]: http://www.springerlink.com/content/uwx80880224n25w3/
  [3]: http://mpra.ub.uni-muenchen.de/8156/1/MPRA_paper_8156.pdf
  [4]: http://ageconsearch.umn.edu/bitstream/15129/1/31010109.pdf
  [5]: http://fic.wharton.upenn.edu/fic/handpaper.pdf
