## [Is it appropriate to treat n-point Likert scale data as n trials from a binomial process?](http://stats.stackexchange.com/questions/2401/is-it-appropriate-to-treat-n-point-likert-scale-data-as-n-trials-from-a-binomial)

I don't know of any articles related to your question in the psychometric litterature. It seems to me that ordered logistic models allowing for random effect components can handle this situation pretty well.

I agree with @Srikant and think that a proportional odds model or an ordered probit model (depending on the link function you choose) might better reflect the intrinisc coding of Likert items, and their typical use as rating scales in opinion/attitude survey or questionnaire. 

Other alternatives are: (1) use of adjacent instead of proportional or cumulative categories (where there is a connection with log-linear models); (2) use of item-response models like the partial-credit model or the rating scale model (as was mentioned in my response on [Likert scales analysis][1]). The latter case is comparable to a mixed-effects approach, with subjects treated as random effects, and is readily available in the SAS system (e.g., [Fitting mixed-effects models for repeated ordinal outcomes with the NLMIXED procedure][2]) or R (see [vol. 20][3] of the *Journal of Statistical Software*). You might also be interested in the discussion provided by John Linacre about [Optimizing Rating Scale Category Effectiveness][4].

The following papers may also be useful:

1. Wu, C-H (2007). [An Empirical Study on the Transformation of Likert-scale Data to Numerical Scores][5]. *Applied Mathematical Sciences*, **1(58)**: 2851-2862.
2. Rost, J and and Luo, G (1997). [An Application of a Rasch-Based Unfolding Model to a Questionnaire on Adolescent Centrism][6]. In Rost, J and Langeheine, R (Eds.), *Applications of latent trait and latent class models in the social sciences*, New York: Waxmann.
3. Lubke, G and Muthen, B (2004). [Factor-analyzing Likert-scale data under the assumption of multivariate normality complicates a meaningful comparison of observed groups or latent classes][7]. *Structural Equation Modeling*, **11**: 514-534. 
4. Nering, ML and Ostini, R (2010). *Handbook of Polytomous Item Response Theory Models*. Routledge Academic
5. Bender R and Grouven U (1998). Using binary logistic regression models for ordinal data with non-proportional odds. *Journal of Clinical Epidemiology*, **51(10)**: 809-816. (Cannot find the pdf but this one is available, [Ordinal logistic regression in medical research][8])


  [1]: http://stats.stackexchange.com/questions/2374/likert-scales-analysis/2375#2375
  [2]: http://brm.psychonomic-journals.org/content/34/2/151.full.pdf
  [3]: http://www.jstatsoft.org/v20
  [4]: http://www.winsteps.com/a/linacre-optimizing-category.pdf
  [5]: http://www.m-hikari.com/ams/ams-password-2007/ams-password57-60-2007/wuchienhoAMS57-60-2007.pdf
  [6]: http://ipn.uni-kiel.de/aktuell/buecher/rostbuch/c26.pdf
  [7]: http://gseis.ucla.edu/faculty/muthen/Likart.pdf
  [8]: http://www.rbsd.de/PDF/olr_mr.pdf
