## [How to analyze these data?](http://stats.stackexchange.com/questions/2852/how-to-analyze-these-data)

For most of your variables (e.g. `V2`), some observations have identical values, hence the warning message thrown by R: unique ranks cannot be computed for all observations, and there are ties, precluding the computation of an exact p-value. For your variable named `V2`, there are in fact only two distinct values (out of 7), so I am very puzzled by the approach you took to analysis your data. With such a high number of tied data, I would not trust any Wilcoxon test. Moreover, in most non-parametric tests we assume that the sampled populations are symmetric and have the same dispersion or shape, which is hardly verifiable in your case.

Thus, I think a permutation test would be more appropriate in your case, see e.g. `permTS` ([perm][1]), `pperm` ([exactRankTests][2]), or the [coin][3] package.

  [1]: http://cran.r-project.org/web/packages/perm/index.html
  [2]: http://cran.r-project.org/web/packages/exactRankTests/index.html
  [3]: http://cran.r-project.org/web/packages/coin/index.html
