## [How to do community detection in a weighted social network/graph?](http://stats.stackexchange.com/questions/2948/how-to-do-community-detection-in-a-weighted-social-network-graph)

I know that [Gephi][1] can process undirected weighted graph, but I seem to remember it has to be stored in [GDF][2], which is pretty close to CSV, or Ucinet [DL][3]. Be aware that it's still an alpha release.
Now, about clustering your graph, Gephi seems to lack clustering pipelines, except for the MCL algorithm that is now available in the latest version. There was a [Google Code Project][4] in 2009, [Gephi Network Statistics][5] (featuring e.g. Newman’s modularity metric), but I don't know if something has been released in this direction. Anyway, it seems to allow some kind of modularity/clustering computations, but see also [Social Network Analysis using R and Gephi][6] and [Data preparation for Social Network Analysis using R and Gephi][7] (Many thanks to @Tal).

If you are used to Python, it is worth trying [NetworkX][8] (Here is an example of a [weighted graph][9] with the corresponding code). Then you have many ways to carry out your analysis.

You should also look at [INSNA - Social Network Analysis Software][10] or Tim Evans's webpage about [Complex Networks and Complexity][11].


  [1]: http://gephi.org/
  [2]: http://gephi.org/users/supported-graph-formats/gdf-format/
  [3]: http://gephi.org/users/supported-graph-formats/ucinet-dl-format/
  [4]: http://code.google.com/p/google-summer-of-code-2009-gephi/
  [5]: http://web.ecs.syr.edu/~pjmcswee/gephi.pdf
  [6]: http://www.rcasts.com/2010/04/social-network-analysis-using-r-and.html
  [7]: http://www.r-bloggers.com/data-preparation-for-social-network-analysis-using-r-and-gephi/
  [8]: http://networkx.lanl.gov/
  [9]: http://networkx.lanl.gov/examples/drawing/weighted_graph.html
  [10]: http://www.insna.org/software/index.html
  [11]: http://155.198.210.128/~time/networks/
