## [Regression analysis and parameter estimates with populations](http://stats.stackexchange.com/questions/3091/regression-analysis-and-parameter-estimates-with-populations)

What you describe seems to refer to a particular case of multilevel modeling, where data are organized into a hierarchical structure; in your case, forests (1st level unit) nested in counties nested in states, but see [Under what conditions should one use multilevel/hierarchical analysis?][1].

Now, the "particular" case comes from the fact that you want to account for the spatial proximity which might be a vector for the propagation of [Lyme disease][2] (correct me if I am wrong), as is done in epidemiology where one is interested in studying the geography of infectious disease. In the usual case, we can use so-called *spatial models* like the *multiple membership model* or the *conditional autoregressive model*, among others.
I enclose a couple of references about these approaches at the end, but I think you will find more references by looking at related studies in ecology or epidemiology. 

Now, I think that you may pay a particular attention at the following paper of Langford et al. which features multilevel modeling with spatially correlated data:

> Langford, IH, Leyland, AHL, Rasbash,
> and Goldstein, H (1999). [Multilevel
> modelling of the geographical
> distributions of diseases][3].
> *Journal of Royal Statistical Society C*, *48*, 253-268.

Harvey Goldstein is the author of an excellent book on multilevel modeling, [Multilevel Statistical Models][4] (the 2nd edition is available for free). Finally, the book of Andrew Gelman, [Data Analysis Using Regression and Multilevel/Hierarchical Models][5], may provide additional clues about hierarchical/multilevel modeling.

About software, I know there is the R [spdep][6] package for modeling spatially correlated outcomes, but there are some examples of analysis of spatial hierachical data with WinBUGS on the [BUGS Project][7].

**References**

1. Browne, W.J., Goldstein, H. and Rasbash, J. (2001) [Multiple membership multiple classification (MMMC) models][8].  *Statistical Modelling*, *1*, 103-124.
2. Lichstein, JW, Simons, TR, Shriner, SA, and Franzreb, KE (2002). [Spatial autocorrelation and autoregressive models in ecology][9]. *Ecological Monographs*, *72(3)*, 445-463.
3. Feldkircher, M (2007). [A Spatial CAR Model applied to a Cross-Country Growth Regression][10].
4. Lawson, AB, Browne, WJ, and Vidal Rodeiro, CL (2003). *Disease mapping with WinBUGS and MLwiN*. John Wiley & Sons.


  [1]: http://stats.stackexchange.com/q/1995/930
  [2]: http://en.wikipedia.org/wiki/Lyme_disease
  [3]: http://www.cmm.bristol.ac.uk/team/HG_Personal/multilevel-spatial-models.pdf
  [4]: http://www.cmm.bristol.ac.uk/team/HG_Personal/multbook1995.pdf
  [5]: http://www.stat.columbia.edu/~gelman/arm/
  [6]: http://cran.r-project.org/web/packages/spdep/index.html
  [7]: http://www.mrc-bsu.cam.ac.uk/bugs/weblinks/webresource.shtml
  [8]: http://www.cmm.bristol.ac.uk/team/HG_Personal/multilevel-spatial-models.pdf
  [9]: http://www4.ncsu.edu/~simons/Lichstein%20et%20al%20Ecol%20Monog.pdf
  [10]: http://feldkircher.gzpace.net/Seminar%20Papers/spatial_car_feldkircher.pdf
