## [Do working statisticians care about the difference between frequentist and bayesian inference?](http://stats.stackexchange.com/questions/1611/do-working-statisticians-care-about-the-difference-between-frequentist-and-bayesi)

I think bayesian statistics come into play in two different contexts. 

On the one hand, some researcher/statistician are definitely convinced of the "bayesian spirit" and, acknowledging the limit of the classical frequentist hypothesis framework, have decided to concentrate on bayesian thinking. Studies in experimental psychology highlighting small effect sizes or borderline statistical significance are now increasingly relying on the bayesian framework. In this respect, I like to cite some of the extensive work of Bruno Lecoutre (1-4) who contributed to developing the use of fiducial risk and bayesian (M)ANOVA. I think the fact we can readily interpret a confidence interval in terms of probabilities applied on the parameter of interest (i.e. depending on the prior distribution) is a radical turn in statistical thinking. I can also imagine that everybody is actually aware of the ever growing work of Andrew Gelman in this domain, as pointed by @Skrikant, or of the incentive given by the [International Society for Bayesian Analysis][1] to use bayesian models. Frank Harrell also provides interesting outlines of [Bayesian Methods for Clinicians][2], as applied to [RCTs][3].

On the other hand, the bayesian approach has proved successful in diagnostic medicine (5), and is often used as an ultimate alternative where traditional statistics would fail, if applicable at all. I am thinking of a psychometrical paper (6) where authors were interested in assessing the agreement between radiologists about the severity of hip fractures from a very limited data set (12 doctors x 15 radiography) and use an Item Response model for polytomous items.

Finally, a recent 45-pages paper published in *Statistics in Medicine* provides an interesting overview of the "penetrance" of bayesian modeling in biostatistics:

> Ashby, D (2006). [Bayesian statistics
> in medicine: a 25 year review][4].
> *Statistics in Medicine*, 25(21), 3589-631.

**References**

1. Rouanet H., Lecoutre B. (1983). Specific inference in ANOVA: From significance tests to Bayesian procedures. *British Journal of Mathematical and Statistical Psychology*, *36*, 252-268.
2. Lecoutre B., Lecoutre M.-P., Poitevineau J. (2001). Uses, abuses and misuses of significance tests in the scientific community: Won't the Bayesian choice be unavoidable? *International Statistical Review*, *69*, 399-418.
3. Lecoutre B. (2006). Isn't everyone a Bayesian?. *Indian Bayesian Society News Letter*, *III*, 3-9.
4. Lecoutre B. (2006). And if you were a Bayesian without knowing it? In A. Mohammad-Djafari (Ed.): *26th Workshop on Bayesian Inference and Maximum Entropy Methods in Science and Engineering*. Melville : AIP Conference Proceedings Vol. 872, 15-22.
5. Broemeling, L.D. (2007). *[Bayesian Biostatistics and Diagnostic Medicine][5]*. Chapman and Hall/CRC.
6. Baldwin, P., Bernstein, J., and Wainer, H. (2009). Hip psychometrics. *Statistics in Medicine*, 28(17), 2277-92.


  [1]: http://www.bayesian.org/
  [2]: http://biostat.mc.vanderbilt.edu/wiki/pub/Main/ClinStat/bayes.pdf
  [3]: http://biostat.mc.vanderbilt.edu/wiki/pub/Main/ClinStat/essence.rct.html
  [4]: http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.132.5449&rep=rep1&type=pdf
  [5]: http://www.crcnetbase.com/isbn/9781584887683
