## [Incorporating boolean data into analysis](http://stats.stackexchange.com/questions/633/incorporating-boolean-data-into-analysis)

[Ingo Ruczinski][1] has contributed to promote the use of [Logic regression][2] for data set consisting of binary variables, with an emphasis on higher-order interaction terms. The main advantage compared to usual or penalized GLMs is that it is more parcimonious in terms of degrees of freedom. The outcome may be continuous or categorical, and continuous covariates can be added to the model (or the outcome can first be residualized on them if these are the binary predictors that are of interest). 

The original paper

> Ruczinski I, Kooperberg C, LeBlanc ML
> (2003). [Logic Regression][3].
> *Journal of Computational and Graphical Statistics*, 12(3), 475-511.

includes several applications in biomedical studies, and a comparison of LR with [CART][4] and [MARS][5]. Although it has mainly been applied in large-scale genetic studies (e.g. genome-wide association studies), it should work with any binary variables whose combinations of interest can be expressed with a set of logical operators.

The [LogicReg][6] R package implements this technique; see also the related packages on CRAN and Bioconductor, esp. [LogicForest][7] which shares some ideas with Random Forests.


  [1]: http://biostat.jhsph.edu/~iruczins/
  [2]: http://kooperberg.fhcrc.org/logic/documents/intro.html
  [3]: http://kooperberg.fhcrc.org/papers/2003logic.pdf
  [4]: http://en.wikipedia.org/wiki/Classification_and_regression_tree
  [5]: http://en.wikipedia.org/wiki/Multivariate_adaptive_regression_splines
  [6]: http://cran.r-project.org/web/packages/LogicReg/index.html
  [7]: http://cran.r-project.org/web/packages/LogicForest/index.html
