## [Inter-rater reliability between similarity matrices](http://stats.stackexchange.com/questions/3822/inter-rater-reliability-between-similarity-matrices)

My first idea would be to try some kind of cluster analysis (e.g. [hierarchical clustering][1]) on each similarity matrix, and compare the classification trees across raters. We can derive a similarity index from all dendrograms, as discussed here, [A measure to describe the distribution of a dendrogram][2], or in this review, [Comparing Clusterings - An Overview][3] from Wagner and Wagner.

You benefit from working with already existing distance matrices, thus such methods will really reflect the nature of your data, and you can still derive a single numerical value to quantify the closeness of method-specific assessments. The following article may be interesting, if you need to refer to existing work:

> Hamer, RM and Cunningham, JW. [Cluster
> Analyzing Profile Data Confounded with
> Interrater Differences: A Comparison
> of Profile Association Measures][4].
> *Applied Psychological Measurement*
> (1981) 5(1): 63-72.

Another approach would be to apply some kind of [Principal Component Analysis][5] on each similarity matrix, and keep only the first principal component (the linear combination of all 100 items that account for the maximum of variance). More precisely, as you work with (dis)similarity indices or a particular distance/proximity metric, it is sometimes referred to as Principal Coordinate Analysis or [Multidimensional Scaling][6] (MDS), although PCA and MDS would yield similar results when dissimilarities are defined as euclidean distances. There is a working example in Izenman's book ([*Modern Multivariate Statistical Techniques*][7], chapter 13, "perceptions of color in human vision", pp. 468-470) and a discussion on so-called *all-pairs design* pp. 471-472. You can then compare the 6 linear combinations (i.e., the weights associated to each sound by rater-specific MDS) to assess their consistency across raters. There, an ICC (as described in my [previous answer][8]) could make sense, but I don't know of any application of it in this particular case.


  [1]: http://en.wikipedia.org/wiki/Hierarchical_clustering
  [2]: http://stats.stackexchange.com/questions/3672/a-measure-to-describe-the-distribution-of-a-dendrogram
  [3]: http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.164.6189&rep=rep1&type=pdf
  [4]: http://apm.sagepub.com/content/5/1/63.abstract
  [5]: http://en.wikipedia.org/wiki/Principal_component_analysis
  [6]: http://en.wikipedia.org/wiki/Multidimensional_scaling
  [7]: http://books.google.fr/books?id=1CuznRORa3EC&printsec=frontcover&dq=modern+multivariate+statistical+techniques&source=bl&ots=Uq98CVdyIf&sig=LE3N0YX4M1dP93cvZC4cotrnsRE&hl=fr&ei=Bum_TPbhGsuO4gb7_ZiCDQ&sa=X&oi=book_result&ct=result&resnum=4&ved=0CCsQ6AEwAw
  [8]: http://ttp://stats.stackexchange.com/questions/3762/the-best-measure-of-reliability-for-interval-data-between-0-and-1-closed
