## [Chi-square test for equality of distributions: how many zeroes does it tolerate?](http://stats.stackexchange.com/questions/4023/chi-square-test-for-equality-of-distributions-how-many-zeroes-does-it-tolerate)

The usual guidelines are that the expected counts should be greater than 5, but it can be somewhat relaxed as discussed in the following article:

> Campbell , I, [Chi-squared and
> Fisher–Irwin tests of two-by-two
> tables with small sample
> recommendations][1], Statistics in
> Medicine (2007) 26(19): 3661–3675.

See also Ian Campbell's [homepage][2].

Note that in R, there's always the possibility to compute $p$-value by a Monte Carlo approach (`chisq.test(..., sim=TRUE)`), instead of relying on the asymptotic distribution.

In you case, it appears that about 80% of the expected counts are below 5, and 40% are below 1. Would it make sense to aggregate some of the observed phenotypes?

  [1]: http://onlinelibrary.wiley.com/doi/10.1002/sim.2832/abstract
  [2]: http://www.iancampbell.co.uk/twobytwo/twobytwo.htm
