## [How to visualize 3D contingency matrix?](http://stats.stackexchange.com/questions/4211/how-to-visualize-3d-contingency-matrix)

I would try some kind of 3D heatmap, [mosaic plot][1] or a [sieve plot][2] (available in the [vcd][3] package). Isn't the base `mosaicplot()` function working with three-way table? (at least `mosaic3d()` in the [vcdExtra][4] package should work, see e.g. http://datavis.ca/R/)

Here's an example (including a conditional plot):

    A <- sample(c(T,F), 100, replace=T)
    B <- sample(c(T,F), 100, replace=T)
    C <- sample(c(T,F), 100, replace=T)
    tab <- table(A,B,C)
    library(vcd)
    sieve(tab, shade=TRUE)
    cotabplot(tab)
    library(vcdExtra)
    mosaic3d(tab, type="expected", box=TRUE)

![alt text][5]

![alt text][6]

![alt text][7]

Actually, the rendering of `mosaic3d()` rely on the [rgl][8] package, so it is hard to give a pretty picture of the result.


  [1]: http://www.datavis.ca/papers/drew/
  [2]: http://www.improving-visualisation.org/visuals/tag=:sieve+plot/mode=1/sort=alpha
  [3]: http://cran.r-project.org/web/packages/vcd/index.html
  [4]: http://cran.r-project.org/web/packages/vcdExtra/index.html
  [5]: http://i.imgur.com/MCbni.png
  [6]: http://i.imgur.com/IwMp8.png
  [7]: http://i.imgur.com/TtUpt.png
  [8]: http://cran.r-project.org/web/packages/rgl/index.html
