## [Choosing the right threshold for a biometric trait authentication system](http://stats.stackexchange.com/questions/5150/choosing-the-right-threshold-for-a-biometric-trait-authentication-system)

Generally, the cut-off value is chosen such as to maximize the compromise between sensitivity (Se) and specificity (Sp). You can generate a regular sequence of thresholds and plot the resulting ROC curve, as shown below, based on the [DiagnosisMed][1] R package.


![alt text][2]

Actually, the raw data looks like

      test.values TP FN FP TN Sensitivity Specificity
    1       0.037 51  0 97  0           1      0.0000
    2       0.038 51  0 96  1           1      0.0103
    3       0.039 51  0 91  6           1      0.0619
    4       0.040 51  0 84 13           1      0.1340
    5       0.041 51  0 74 23           1      0.2371
    6       0.042 51  0 67 30           1      0.3093

and the optimal threshold is found as

       test.values TP FN FP TN Sensitivity Specificity
    47       0.194 43  8  8 89      0.8431      0.9175

To sum up, I would suggest to generate a regular sequence of possible thresholds and compute Se and Sp in each case; then, choose the one that maximize Se and (1-Sp) (or use other criteria if you want to minimize FP or FN rates).

  [1]: http://cran.r-project.org/web/packages/DiagnosisMed/index.html
  [2]: http://i.imgur.com/yM82E.png

