## [Which test to find out best concentration (the one having maximum effect)?](http://stats.stackexchange.com/questions/5330/which-test-to-find-out-best-concentration-the-one-having-maximum-effect)

Are you not looking after method for studying [dose-response relationship][1]? From the description you gave, I guess your growth curves are highly non-linear. Moreover, the problem of using simple ANOVA to compare two growth curve (i.e., equivalent to a time course curve) is that it would be blind to the fact that the different doses are administered in a sequential order, though it should give a reasonable first idea of *some kind* of differences between the two, if any. However, multiple comparisons are likely not to answer the question you really want to ask since we often expect very few differences at baseline and larger ones at intermediate concentration levels, whereas what you generally want to assess is what's the lowest concentration level that yields a significant difference between the two products.

If you are using R, the [drc][2] package (see also [www.bioassay.dk][3]) allows to fit various models to DR data, and plot the resulting DR curve like the one shown below. It was generated from the on-line help with data `secalonic` whose description is:

> Data stem from an experiment assessing
> the inhibitory effect of secalonic
> acids on plant growth.
> 
> Gong, X. and Zeng, R. and Luo, S. and
> Yong, C. and Zheng, Q. (2004) Two new
> secalonic acids from *Aspergillus
> Japonicus* and their allelopathic
> effects on higher plants, *Proceedings
> of International Symposium on
> Allelopathy Research and Application*,
> 27-29 April, Shanshui, Guangdong,
> China (Editors: R. Zeng and S. Luo),
> 209-217.
> 
> Ritz, C (2009) Towards a unified
> approach to dose-response modeling in
> ecotoxicology To appear in *Environ
> Toxicol Chem*.


![alt text][4]


  [1]: http://en.wikipedia.org/wiki/Dose-response_relationship
  [2]: http://cran.r-project.org/web/packages/drc/index.html
  [3]: http://www.bioassay.dk
  [4]: http://i.imgur.com/qM7CE.png
