## [What does the Psi term in factor analysis signify?](http://stats.stackexchange.com/questions/5359/what-does-the-psi-term-in-factor-analysis-signify)

Following Bishop's notation, the FA model is written as (Eq. 12.64, p. 584):

$$
p(x|z)=\mathcal{N}(x|\mathbf{W}z+\boldsymbol{\mu},\boldsymbol{\psi})
$$

where $\boldsymbol{\psi}$ is a $D\times D$ diagonal matrix of so-called variable uniquenesses, that is the variance not accounted for by the latent factors, whereas $\mathbf{W}$ reflects factor loadings $\lambda_i$, that is the correlation of variable $i$ with factors represented in $z$ (more exactly, the square of $\lambda_i$ is the variance explained by the latent factor).

If you're not familiar with the FA literature, I would suggest "lighter" approach, e.g. William Revelle has good tutorials on his website [personality-project.org][1]; especially, I would suggest Chapter 6 of his forthcoming book on Psychometric methods entitled [Constructs, Components, and Factor models][2]. You will shortly understand the relations between PCA and FA. Specifically, with PCA, we are constructing linear combinations of observed variables (this yields a composite variable), whereas in FA we are expressing each variable as a weighted combination of hypothesized latent factors (where weights are called loadings) plus an error term (the $\boldsymbol{\psi}$ in the above formula). In sum, the FA model incorporates a model for noise--this is what is expressed in Equation 12.65; but see [What are the differences between Factor Analysis and Principal Component Analysis][3], for additional discussion.


  [1]: http://www.personality-project.org
  [2]: http://personality-project.org/r/book/Chapter6.pdf
  [3]: http://stats.stackexchange.com/questions/1576/what-are-the-differences-between-factor-analysis-and-principal-component-analysis
