## [Probability and limits](http://stats.stackexchange.com/questions/5555/probability-and-limits)

The two key elements that you need to be familiar with before working through this exercise are:

* The [sampling distribution][1] of a mean: in your case, the average of your four measurements will follow a normal distribution, with a mean that equals that of the parent distribution but with a standard deviation of $3/\sqrt{4}$.
* How to translate probabilistic assertions in terms of the underlying [Probability Density Function][2]: given that there is an infinite number of possible PDFs for a distribution described by two parameters (its location and shape), it is often more convenient to work with the standardized normal distribution which is simply $\mathcal{N}(0;1)$, because if $X\sim \mathcal{N}(\mu; \sigma)$, then we know that $Z=\frac{X-\mu}{\sigma}\sim\mathcal{N}(0;1)$.

Then, you just have to figure out how to find $z_1$ and $z_2$ such that $\Pr(z_1\leq Z\leq z_2)=1-0.01$. It often helps to draw the graph of $\Pr(Z\leq z)$ which is bell-shaped, centered on its mean, and whose total area equals 1. For instance, for a given quantile $z_1$, $\Pr(Z<z_1)=p_1$ where $p_1$ is the shaded area shown below (here, $z_1=-1$, that is 1 standard deviation below the mean):

![alt text][3]

As the total area equals 1, the remaining (unshaded) area equals $1-p_1$. Likewise, you may readily express any bounded area as a sum or difference of such inequalities.

  [1]: http://en.wikipedia.org/wiki/Sampling_distribution
  [2]: http://en.wikipedia.org/wiki/Probability_density_function
  [3]: http://i.imgur.com/Bua04.png
