## [Effect size of Spearman's rank test](http://stats.stackexchange.com/questions/5619/effect-size-of-spearmans-rank-test)

I see no obvious reason not to do so. As far as I know, we usually make a distinction between two kind of effect size (ES) measures for qualifying the strength of an observed association: ES based on $d$ (difference of means) and ES based on $r$ (correlation). The latter includes Pearson's $r$, but also Spearman's $\rho$, Kendall's $\tau$, or the multiple correlation coefficient.

As for their interpretation, I think it mainly depends on the field you are working in: A correlation of .20 would certainly not be interpreted in the same way in psychological *vs.* software engineering studies. Don't forget that Cohen's three-way classification--small, medium, large--was based on behavioral data, as discussed in Kraemer et al. (2003), p. 1526. In their Table 1, they made no distinction about the different types of ES measures belonging to the $r$ family. There have by no way an absolute meaning and should be interpreted with reference to established results or literature review.

I would like to add some other references that provide useful reviews of common ES measures and their interpretation.

**References**

1. Helena C. Kraemer, George A. Morgan, Nancy L. Leech, Jeffrey A. Gliner, Jerry J. Vaske, and Robert J. Harmon (2003). [Measures of Clinical Significance][1]. *J Am Acad Child Adolesc Psychiatry*, 42(12), 1524-1529.
2. Christopher J. Ferguson (2009). [An Effect Size Primer: A Guide for Clinicians and Researchers][2]. *Professional Psychology: Research and Practice*, 40(5), 532-538.
3. Edward F. Fern and Kent B. Monroe (1996). [Effect-Size Estimates: Issues and Problems in Interpretation][3]. *Journal of Consumer Research*, 23, 89-105.
4. Daniel J. Denis (2003). [Alternatives to Null Hypothesis Significance Testing][4]. *Theory and Science*, 4(1).
5. Paul D. Ellis (2010). *[The Essential Guide to Effect Sizes][5]*. Cambridge University Press. -- just browsed the TOC


  [1]: http://psy6023.alliant.wikispaces.net/file/view/Kraemer2003.pdf
  [2]: http://www.tamiu.edu/~cferguson/Ferguson%20PPRP.pdf
  [3]: http://www.wisedata.hk/readings/Topic%2015_Secondary%20data/3.%20Effect%20size%20and%20significance%20testing/Effect-Size%20Estimates_%20Issues%20and%20Problems%20in%20Interpretation.pdf
  [4]: http://theoryandscience.icaap.org/content/vol4.1/02_denis.html
  [5]: http://www.cambridge.org/gb/knowledge/isbn/item2704152/?site_locale=en_GB
