## [Annotating graphs in R](http://stats.stackexchange.com/questions/5836/annotating-graphs-in-r)

A quick and dirty way to paste some text and numerical results along the labels of your legend is to simply rename the factor levels. For instance,

    df <- data.frame(x=rnorm(100), y=rnorm(100), f=gl(2,50))
    df$f2 <- df$f
    levels(df$f2) <- paste(levels(df$f), tapply(df$y, df$f, mean), sep=": ")
    p <- ggplot(data=df) + geom_point(aes(x=x, y=y, color=f2))
    p + opts(legend.position = 'bottom', legend.title=NULL)

You can add whatever you want into the new labels, such as mean, min, max, etc. (e.g., create a custom function, inspired from `summary()` that returns the values you want, and append them to `c("In","Out")`).
