## [Should I re-shuffle my data?](http://stats.stackexchange.com/questions/5887/should-i-re-shuffle-my-data)

As you already use a holdout sample, I would say you should keep it and build your new models on the same training sample so that all models will consider the same relationships between features. In addition, if you perform feature selection, the samples must be left out before any of these filtering stages; that is, feature selection must be included in the cross-validation loop.

Of note, there are more powerful methods than a 0.67/0.33 split for model selection, namely k-fold cross-validation or leave-one-out.  See *e.g.* [The Elements of Statistical Learning][1] (§7.10, pp. 241-248), [www.modelselection.org][2] or [A survey of cross-validation procedures for model selection][3] by Arlot and Celisse (more advanced mathematical background required).


  [1]: http://www-stat.stanford.edu/~tibs/ElemStatLearn/
  [2]: http://www.modelselection.org/
  [3]: http://www.i-journals.org/ss/viewarticle.php?id=54&layout=abstract
