## [R: update a graph dynamically](http://stats.stackexchange.com/questions/6021/r-update-a-graph-dynamically)

For offline visualization, you can generate PNG files and convert them to an animated GIF using [ImageMagick][1]. I used it for demonstration (this redraw all data, though):

    source(url("http://aliquote.org/pub/spin_plot.R"))
    dd <- replicate(3, rnorm(100))
    spin.plot(dd)

This generates several PNG files, prefixed with `fig`. Then, on an un*x shell, 

    convert -delay 20 -loop 0 fig*.png sequence.gif

gives this animation (which is inspired from *Modern Applied Biostatistical Methods using S-Plus*, S. Selvin, 1998):

![alt text][2]

Another option which looks much more promising is to rely on the [animation][3] package. There is an example with a [Moving Window Auto-Regression][4] that should let you go started with.


  [1]: http://www.imagemagick.org/
  [2]: http://i.imgur.com/Bjauf.gif
  [3]: http://cran.r-project.org/web/packages/animation/index.html
  [4]: http://animation.yihui.name/ts:moving_window_ar
