## [How do I interpret Exp(B) in Cox Regression?](http://stats.stackexchange.com/questions/6026/how-do-i-interpret-expb-in-cox-regression)

Generally speaking, $\exp(\hat\beta_1)$ is the ratio of the hazards between two individuals whose values of $x_1$ differ by one unit when all other covariates are held constant. The parallel with other linear models is that in Cox regression the hazard function is modeled as $h(t)=h_0(t)\exp(\beta'x)$, where $h_0(t)$ is the baseline hazard. This is equivalent to say that $\log(\text{group hazard}/\text{baseline hazard})=\log\big((h(t)/h_0(t)\big)=\sum_i\beta_ix_i$. Then, a unit increase in the independent variable $i$ is associated with $\beta_i$ increase in the log hazard rate.
The regression coefficient allow thus to quantify the log of the hazard in the treatment group (compared to the control or placebo group), accounting for the covariates included in the model; it is interpreted as a relative risk (assuming no time-varying coefficients).

In the case of logistic regression, the regression coefficient reflects the log of the [odds-ratio][2], hence the interpretation as an k-fold increase in risk. So yes, the interpretation of hazard ratios shares some resemblance with the interpretation of odds ratios.

Be sure to check Dave Garson's website where there is some good material on [Cox Regression][1] with SPSS.


  [1]: http://faculty.chass.ncsu.edu/garson/PA765/cox.htm
  [2]: http://en.wikipedia.org/wiki/Odds_ratio#Role_in_logistic_regression
