## [Analysing questionnaire data](http://stats.stackexchange.com/questions/6151/analysing-questionnaire-data)

In the spirit of an [earlier response][1], you might be interested in David A Kenny's webpage on [dyadic analysis][2], and models for matched pairs (See Agresti, [Categorical Data Analysis][3], Chapter 10, or this nice [handout][4], by C J Anderson). There's also a lot of literature on sib-pair study design, in genetics, epidemiology, and psychometrics. 

As you may know, studies on sibling rivalry also suggest that parents' attitude might play a role, but also that generally sibling relationships in early adulthood might be characterized by independent dimensions (warmth, conflict, and rivalry, according to Stocker et al., 1997). So it may be interesting for you to look at what has been done in psychometrics, especially whether your items share some similarity with previous studies or not. The very first hit on Google with `siblings rivalry scale statistical analysis` was a study on [The Effects of Working Mothers on Sibling Rivalry][5] which offers some clues on how to handle such data (although I still think that model for matched pairs are better than the $\chi^2$-based approach used in this study).

**References**

Stocker, CM, Lanthier, RP, Furman, W (1997). [Sibling Relationships in Early Adulthood][6]. *Journal of Family Psychology*, 11(2), 210-221.


  [1]: http://stats.stackexchange.com/questions/3006/factor-analysis-of-dyadic-data/3010#3010
  [2]: http://davidakenny.net/dyad.htm
  [3]: http://www.stat.ufl.edu/~aa/cda/cda.html
  [4]: http://www.ed.uiuc.edu/courses/EdPsy490AT/lectures/9matched_02.pdf
  [5]: http://www.kon.org/urc/v8/tsang.html
  [6]: http://abutler.net/trc/publications/pdfs/Sibling%20relationships%20in%20early%20adulthood%2057.pdf
