## [Assessing conditional independence of genes in Trans-eQTL cluster](http://stats.stackexchange.com/questions/6787/assessing-conditional-independence-of-genes-in-trans-eqtl-cluster)

I would recommend looking at the [snpMatrix][1] R package. Within the `snp.lhs.tests()` function, height will be the phenotype (or outcome), your SNP data will be stored in a vector (`snp.data`), and your gene expression levels will enter the model as covariates. I never used this kind of covariates (in the GWAS I am familiar with we adjust for population stratification and subject-specific covariates), so I can't give an example of use. Just give it a try to see if it suits your needs.

Otherwise, a larger modeling framework is available in the [GGtools][2] package, from the [Bioconductor][3] project too.  It was developed by Vince J. Carey for dealing specifically with SNP and gene expression data, in GWAS or eQTL studies. There are numerous examples of use on the web (look up for tutorial by VJ Carey with `GGtools`). However, it's mainly to model gene expression as a function of observed genotypes (chromosome- or genome-wide).

**Caution.** Please note that `GGtools` package has a lot of dependencies, in particular `GGBase` (which provides specific environments for holding genetic data) and `snpMatrix` (which an provides an efficient storage of SNP data). You will also need to install the base packages from the Bioconductor repository (this is not part of CRAN); detailed instructions are available [here][4].


  [1]: http://www.bioconductor.org/packages/2.3/bioc/html/snpMatrix.html
  [2]: http://www.bioconductor.org/packages/2.2/bioc/html/GGtools.html
  [3]: http://www.bioconductor.org
  [4]: http://www.bioconductor.org/install/index.html
