## [Validating an existing questionnaire into another language](http://stats.stackexchange.com/questions/7100/validating-an-existing-questionnaire-into-another-language)

I don't know what your questionnaire aims to assess. In Health-related Quality-of-Life studies, for example, there are a certain number of recommendations for translation issues that were discussed in the following papers (among others):

1. Marquis et al., Translating and evaluating questionnaires: Cultural issues for international research, in Fayers & Hays (eds.), *Assessing Quality of Life in Clinical Trials (2nd ed.)*, Oxford, pp. 77-93 (2005).
2. Hui and Triandis, Measurement in cross-cultural psychology: A review and comparison of strategies. *Journal of Cross-Cultural Psychology*, 16(2), 131-152 (1985).
3. Mathias et al., Rapid translation of quality of life measures for international clinical trials: Avoiding errors in the minimalist approach. *Quality of Life Research*, 3, 403-412 (1994).

Translation can be done simultaneously in several languages, as was the case for the WHOQOL questionnaire, or in a primary language (e.g., English) for the SF-36 followed by translation in other target languages. There were many papers related to translation issues in either case that you will probably find on [Pubmed][1]. Various procedures have been developed to ensure consistent translation, but forward/backward translation is most commonly found in the above studies.


In any case, most common issues when translating items (as single entities, and as a whole, that is at the level of the questionnaire) have to do with the equivalence of the hypothetical concept(s) that is/are supposed to be covered. 

Otherwise, the very first things I would look at would be:

* Am I measuring the same concepts? -- this is a question related to *validity*;
* Are the scores delivered in the foreign language reliable enough? -- this has to do with *scores reliability*;
* Are the items behaving as expected for everybody, i.e. without differential effects depending on country or native language? -- this is merely related to *differential item functioning* (DIF), which is said to occur when the probability of endorsing a particular item differs according to a subject-specific covariate (e.g., age, gender, country), when holding subject trait constant.

Some of the common techniques used to assess those properties were discussed in an earlier related question, [Validating questionnaires][2].

About DIF specifically, here are some examples of subtle variation across subject-specific characteristics: 

* In psychiatric studies, "I feel sad" / "Able to enjoy life" have been shown to highlight gender-related DIF (Crane et al., 2007).
* In personality assessment, there are well-known age and gender-effect on the NEO-PI questionnaire (reviewed in Kulas et al., 2008).
* In Health-related Quality-of-Life, items like "Did you worry?" / "Did you feel depressed?" have been shown to exhibit country-related DIF effect (Petersen
et al. 2003).

A good starting point is this review paper by Jeanne Teresi in 2004: [Differential Item Functioning and Health Assessment][3].


  [1]: http://www.ncbi.nlm.nih.gov/pubmed/
  [2]: http://stats.stackexchange.com/questions/4239/validating-questionnaires
  [3]: http://outcomes.cancer.gov/conference/irt/teresi.pdf
