## [Binary classification when many binary features are missing](http://stats.stackexchange.com/questions/7982/binary-classification-when-many-binary-features-are-missing)

Assuming data are considering missing completely at random (cf. @whuber's comment), using an ensemble learning technique as described in the following paper might be interesting to try:

> Polikar, R. et al. (2010).
> [Learn++.MF: A random subspace
> approach for the missing feature
> problem][1]. *Pattern Recognition*,
> *43(11)*, 3817-3832.

The general idea is to train multiple classifiers on a subset of the variables that composed your dataset (like in Random Forests), but to use only the classifiers trained with the observed features for building the classification rule. Be sure to check what the authors call the "distributed redundancy" assumption (p. 3 in the preprint linked above), that is there must some evenly spaced redundancy among your features set.


  [1]: http://www.cs.man.ac.uk/~gbrown/research/polikar10missing.pdf
