## [Labeling boxplots in R](http://stats.stackexchange.com/questions/8206/labeling-boxplots-in-r)

Try something like this for a standalone version:

    bxp <- boxplot(rnorm(100), horizontal=TRUE, axes=FALSE)
    mtext(c("Min","Max"), side=3, at=bxp$stats[c(1,5)], line=-3)

Note that you can get some information when calling `boxplot`, in particular the "five numbers".

If you want it to be superimposed onto another graphic, use `add=T` but replace `mtext` by `text`; you will need to set a $y$ value (which depend on the way you plot the other graphic).

A more complete example was given by [John Maindonald][1] (code should be on his website):

![enter image description here][2]


  [1]: http://maths.anu.edu.au/~johnm/
  [2]: http://i.imgur.com/nOPof.jpg
