## [References for using networks to display correlations?](http://stats.stackexchange.com/questions/8677/references-for-using-networks-to-display-correlations)

Do you know the [qgraph][1] project (and the related [R package][2])? It aims at providing various displays for psychometric models, especially those relying on correlations. I discovered this approach for displaying correlation measures when I was reading a very nice and revolutionary article on diagnostic medicine by Denny Borsboom and coll.: [Comorbidity: A network perspective][3], BBS (2010) 33: 137-193. 

An oversimplified summary of their *network approach* of comorbidity is that it is “hypothesized to arise from direct relations between symptoms of multiple disorders”, contrary to the more classical view where these are comorbid disorders themselves that causes their associated symptoms to correlate (as reflected in a latent variable model, like factor or item response models, where a given symptom would allow to measure a particular disorder). In fact, symptoms are part of disorder, but they don’t measure it (and this is a mereological relationship). Their figure 5 describes such a "comorbidity network" and is particularly interesting as it embeds the frequency of symptoms and magnitude of their bivariate association in the same picture. They were using [Cytoscape][4] at that time, but the qgraph project has now reached a mature state. 

Here are some examples from the on-line R help; basically, these are (1) an association graph with circular or (2) spring layout, (3) a concentration graph with spring layout, and (4) a factorial graph with spring layout (but see `help(qgraph.panel)`):

![enter image description here][5]

(See also `help(qgraph.pca)` for nice circular displays of an observed correlation matrix for the NEO-FFI, which is a 60-item personality inventory.)


  [1]: http://sites.google.com/site/qgraphproject/
  [2]: http://cran.r-project.org/web/packages/qgraph/index.html
  [3]: http://sites.google.com/site/borsboomdenny/CramerEtAl2010.pdf
  [4]: http://www.cytoscape.org/
  [5]: http://i.imgur.com/hYT3r.png
