## [How to customize axis labels in a boxplot?](http://stats.stackexchange.com/questions/8959/how-to-customize-axis-labels-in-a-boxplot)

Here's a reproducible example, that you might adapt to fit with what you want to achieve with your data.

    opar <- par(las=1)
    df <- data.frame(y=rnorm(100), x=gl(2, 50, labels=letters[1:2]))
    with(df, plot(y ~ x, axes=FALSE))
    axis(1, at=1:2, labels=levels(df$x))
    axis(2, at=seq(-3, 3, by=1), 
         labels=paste(seq(-3, 3, by=1), "hr", sep=""))
    box()
    par(opar)
