## [How to compute the standard error of measurement (SEM) from a reliability estimate?](http://stats.stackexchange.com/questions/9312/how-to-compute-the-standard-error-of-measurement-sem-from-a-reliability-estimat)

You should use the point estimate of the reliability, not the lower bound or whatsoever. I guess by lb/up you mean the 95% CI for the ICC (I don't have SPSS, so I cannot check myself)? It's unfortunate that we also talk of Cronbach's alpha as a "lower bound for reliability" since this might have confused you.

It should be noted that this formula is not restricted to the use of an estimate of ICC; in fact, you can plug in any "valid" measure of reliability (most of the times, it is Cronbach's alpha that is being used). Apart from the NCME tutorial that I linked to in my comment, you might be interested in this recent article:

> Tighe et al. [The standard error of
> measurement is a more appropriate
> measure of quality for postgraduate
> medical assessments than is
> reliability: an analysis of MRCP(UK)
> examinations][1]. *BMC Medical
> Education* 2010, 10:40

Although it might seem to barely address your question at first sight, it has some additional material showing how to compute SEM (here with Cronbach's $\alpha$, but it is straightforward to adapt it with ICC); and, anyway, it's always interesting to look around to see how people use SEM.


  [1]: http://www.biomedcentral.com/1472-6920/10/40
