## [What are some interesting and well-written applied statistics papers?](http://stats.stackexchange.com/questions/9365/what-are-some-interesting-and-well-written-applied-statistics-papers)

From a genetic epidemiology perspective, I would now recommend the following series of papers about [genome-wide association studies][1]:

1. Cordell, H.J. and Clayton, D.G. (2005). [Genetic association studies][2]. *Lancet* 366, 1121-1131.
2. Cantor, R.M., Lange, K., and Sinsheimer, J.S. (2010). [Prioritizing GWAS results: A review of statistical methods and recommendations for their application][3]. *The American Journal of Human Genetics* 86, 6–22.
3. Ioannidis, J.P.A., Thomas, G., Daly, M.J. (2009). [Validating, augmenting and refining genome-wide association signals][4]. *Nature Reviews Genetics* 10, 318-329.
4. Balding, D.J. (2006). [A tutorial on statistical methods for population association studies][5]. *Nature Reviews Genetics* 7, 781-791.
5. Green, A.E. et al. (2008). [Using genetic data in cognitive neuroscience: from growing pains to genuine insights][6]. *Nature Reviews Neuroscience* 9, 710-720.
6. McCarthy, M.I. et al. (2008). [Genome-wide association studies for complex traits: consensus, uncertainty and challenges][7]. *Nature Reviews Genetics* 9, 356-369.
7. Psychiatric GWAS Consortium Coordinating Committee (2009). [Genomewide Association Studies: History, Rationale, and Prospects for Psychiatric Disorders][8]. *American Journal of Psychiatry* 166(5), 540-556.
8. Sebastiani, P. et al. (2009). [Genome-wide association studies and the genetic dissection of complex traits][9]. *American Journal of Hematology* 84(8), 504-15.
9. The Wellcome Trust Case Control Consortium (2007). [Genome-wide association study of 14,000 cases of seven common diseases and 3,000 shared controls][10]. *Nature* 447, 661-678.
10. The Wellcome Trust Case Control Consortium (2010). [Genome-wide association study of CNVs in 16,000 cases of eight common diseases and 3,000 shared controls][11]. *Nature* 464, 713-720.


  [1]: http://en.wikipedia.org/wiki/Genome-wide_association_study
  [2]: http://www.thelancet.com/journals/lancet/article/PIIS0140-6736%2805%2967424-7/abstract
  [3]: http://www.cell.com/AJHG/abstract/S0002-9297%2809%2900532-1
  [4]: http://www.nature.com/nrg/journal/v10/n5/abs/nrg2544.html
  [5]: http://www.nature.com/nrg/journal/v7/n10/full/nrg1916.html
  [6]: http://www.nature.com/nrn/journal/v9/n9/abs/nrn2461.html
  [7]: http://www.nature.com/nrg/journal/v9/n5/abs/nrg2344.html
  [8]: http://ajp.psychiatryonline.org/cgi/content/abstract/166/5/540
  [9]: http://www.ncbi.nlm.nih.gov/pubmed/19569043
  [10]: http://www.nature.com/nature/journal/v447/n7145/abs/nature05911.html
  [11]: http://www.nature.com/nature/journal/v464/n7289/full/nature08979.html
