## [Calibrated boosted decision trees in R or MATLAB](http://stats.stackexchange.com/questions/9959/calibrated-boosted-decision-trees-in-r-or-matlab)

About R, I would vote for the [gbm][1] package; there's a vignette that provides a good overview: [Generalized Boosted Models: A guide to the gbm package][2]. If you are looking for an unified interface to ML algorithms, I recommend the [caret][3] package which has built-in facilities for data preprocessing, resampling, and comparative assessment of model performance. Other packages for boosted trees are reported under Table 1 of one of its accompanying vignettes, [Model tuning, prediction and performance functions][4]. There is also an example of parameters tuning for boosted trees in the [JSS paper][5], pp. 10-11.

**Note:** I didn't check, but you can also look into [Weka][6] (there's an R interface, [RWeka][7]).


  [1]: http://cran.r-project.org/web/packages/gbm/index.html
  [2]: http://cran.r-project.org/web/packages/gbm/vignettes/gbm.pdf
  [3]: http://caret.r-forge.r-project.org/Classification_and_Regression_Training.html
  [4]: http://cran.r-project.org/web/packages/caret/vignettes/caretTrain.pdf
  [5]: http://www.jstatsoft.org/v28/i05/paper
  [6]: http://www.cs.waikato.ac.nz/ml/weka/
  [7]: http://cran.r-project.org/web/packages/RWeka/index.html
