## [Inspect generators and defining relations of a fractional factorial design](http://stats.stackexchange.com/questions/11341/inspect-generators-and-defining-relations-of-a-fractional-factorial-design)

**Disclaimer:** Not really a positive answer...

Take a look at the [FrF2][1] package, for example:

    des.24 <- FrF2(16,8)         
    design.info(des.24)$aliased  # look at the alias structure

create a randomized fractional design with 8 factors, 16 runs. To print all designs, 

    print(catlg, nfactor=8, nruns=16)

For example, we have design 8-4.1 for a $2_{IV}^{8-4}$ design, whose generators are $E=ABC$, $F=ABD$, $G=ACD$, and $H=BCD$ (with defining relations in e.g., Montgomery 5ed Appendix X p. 629):

    summary(FrF2(design="8-4.1"))
    FrF2:::generators.from.design(FrF2(design="8-4.1"))

Yet I found no way to update the design matrix. It seems we can update a response vector (there's an example of use with `design()`/`undesign()`), but AFAIK there's no function that would import a matrix of contrasts and allow to match it in the catalog or find the generators.

P.S. Apart from Minitab and StatGraphics, [DOE++][2] seems to offer many facilities to work with two-level fractional designs, but I cannot test it unfortunately.


  [1]: http://cran.r-project.org/web/packages/FrF2/index.html
  [2]: http://www.reliasoft.com/doe/
