## [What is a null conjunction analysis in an fMRI study?](http://stats.stackexchange.com/questions/12107/what-is-a-null-conjunction-analysis-in-an-fmri-study)

The original paradigm originates from the work of Price and Friston (1997, 1999), and it has been criticized in a more recent paper by Tom Nichols et al. (2005), but see Friston et al. (2005) for a reply.

The idea behind *conjunction analysis* is to determine whether two tasks activate the same region(s) of the brain. Quoting [Towards Evidence of Absence: Conjunction Analyses in fMRI][1], contrary to the *subtraction approach* ((a) sum all of the activation maps (AM) from the baseline condition, (b) sum all of the AMs from the stimulation condition, (c) rescale them by converting these summated AMs to average images, (d) subtract the baseline AM from the stimulation AM in order to reveal the activation locations (voxels)), the idea is that 

* each voxel should be significantly activated by the two tasks;
* each voxel should not be significantly modulated by an interaction effect between tasks;
* the estimated relationships between each voxel and each task are not significantly different.

The rest of the blog post is worth reading, IMO.

## References

1. Price, C.J. and Friston, K.J. (1997). [Cognitive conjunction: a new approach to brain activation experiments][2]. *Neuroimage*, 5, 261-70.
2. Friston, K.J., Holmes, A.P., Price, C.J., Büchel, C., and Worsley, K.J. (1999). Multisubject fMRI Studies and Conjunction Analyses. *NeuroImage*, 10(4), 385-396.
3. Nichols, T., Brett, M., Andersson, J., Wager, T., Poline, J.-B. (2005). [Valid conjunction inference with the minimum statistic][3]. *Neuroimage*, 15;25(3): 653-60.
4. Friston, K.J., Penny, W.D., and Glaser, D.E. (2005). [Conjunction revisited][4]. *NeuroImage*, 25, 661-667.


  [1]: http://scienceblogs.com/developingintelligence/2008/09/towards_evidence_of_absence_co.php
  [2]: http://ftp.fil.ion.ucl.ac.uk/spm/doc/papers/cjp_cognitive.pdf
  [3]: http://psych.colorado.edu/~tor/Papers/Nichols_2005_conjunctions.pdf
  [4]: http://www.fmri.org/pdfs/Friston2005b.pdf
