## [R package for identifying relationships between variables](http://stats.stackexchange.com/questions/14108/r-package-for-identifying-relationships-between-variables)

AFAIK, no. To be more precise, I don't know of a single R package that would do part of what is called *Exploratory Data Analysis* (EDA) for you through a single function call -- I'm thinking of the *re-expression* and *revelation* aspects discussed in Hoaglin, Mosteller and Tukey, *Understanding Robust and Exploratory Data Analysis*. Wiley-Interscience, 1983, in particular. 

However, there exist some nifty alternatives in R, especially regarding interactive exploration of data (Look here for interesting discussion: [When is interactive data visualization useful to use?][1]). I can think of

* [iplots](http://rosuda.org/iplots/), or its successor [Acynonix][2], for interactive visualization (allowing for brushing, linked plots, and the like) (Some of these functionalities can be found in the [latticist][3] package; finally, [rgl](http://cran.r-project.org/web/packages/rgl/index.html) is great for 3D interactive visualization.)
* [ggobi](http://www.ggobi.org/) for interactive and dynamic displays, including data reduction (Multidimensional scaling) and [Projection Pursuit][4]

This is only for interactive data exploration, but I would say this is the essence of EDA. Anyway, the above techniques might help when exploring bivariate or higher-order relationships between numerical variables. For categorical data, the [vcd][5] package is a good option (visualization and summary tables). Then, I would say than the [vegan][6] and [ade4][7] packages come first for exploring relationships between variables of mixed data types.

Finally, what about *data mining* in R? (Try this keyword on [Rseek][8])


  [1]: http://stats.stackexchange.com/questions/7048/when-is-interactive-data-visualization-useful-to-use
  [2]: http://www.rforge.net/Acinonyx/
  [3]: http://cran.r-project.org/web/packages/latticist/index.html
  [4]: http://en.wikipedia.org/wiki/Projection_pursuit
  [5]: http://cran.r-project.org/web/packages/vcd/index.html
  [6]: http://cran.r-project.org/web/packages/vegan/index.html
  [7]: http://cran.r-project.org/web/packages/ade4/index.html
  [8]: http://www.rseek.org/
