## [Degrees of freedom for Chi-squared test](http://stats.stackexchange.com/questions/14458/degrees-of-freedom-for-chi-squared-test)

How many variables are present in your cross-classification will determine the degrees of freedom of your $\chi^2$-test. In your case, your are actually cross-classifying two variables (period and country) in a 2-by-3 table.

So the dof are $(2-1)\times (3-1)=2$ (see e.g., [Pearson's chi-square test][1] for justification of its computation). I don't see where you got the $6$ in your first formula, and your expected frequencies are not correct, unless I misunderstood your dataset.

A quick check in R gives me:

    > my.tab <- matrix(c(100, 59, 150, 160, 20, 50), nc=3)
    > my.tab
         [,1] [,2] [,3]
    [1,]  100  150   20
    [2,]   59  160   50
    > chisq.test(my.tab)
    
    	Pearson's Chi-squared test
    
    data:  my.tab 
    X-squared = 23.7503, df = 2, p-value = 6.961e-06
    
    > chisq.test(my.tab)$expected
            [,1]     [,2]     [,3]
    [1,] 79.6475 155.2876 35.06494
    [2,] 79.3525 154.7124 34.93506


  [1]: http://bit.ly/pDoSYb
