## [Calculating the p-value of an F- statistic](http://stats.stackexchange.com/questions/20035/calculating-the-p-value-of-an-f-statistic)

About Scheme libraries specifically, here are two [GSL][1] bindings that you might be interested in:

* Noel Welsh's [fork of `mzgsl`](https://github.com/noelwelsh/mzgsl).
* The [Science collection][2], by [Doug Williams][3], provides a collection of modules for numerical computing; it includes [random number distributions][4], among others.

The second project is readily available on [PLaneT][5] if you use [Racket][6]. 

Here is an example that returns the $p$-value for the quantile $x=4.2$ of an ${\cal F}(2, 10)$ distribution ($p=0.047$): 

    (require (planet williams/science/random-distributions/f-distribution))
    (- 1 (f-distribution-cdf 4.2 2 10))

with the corresponding CDF

    (require (planet williams/science/random-distributions/f-distribution-graphics))
    (f-distribution-plot 2 10)

![enter image description here][7]

There are also some [statistical functions][8] available for [Chicken Scheme][9] (release branch 4). After having installed the required dependencies, e.g.

    $ sudo chicken-install statistics

you will be able to do something like

    (use statistics)
    (f-significance 4.2 2 10 #:one-tailed? #t)

in the interactive Chicken shell (`csi`).


  [1]: http://www.gnu.org/software/gsl/
  [2]: http://planet.plt-scheme.org/display.ss?package=science.plt&owner=williams
  [3]: http://drschemer.blogspot.com/
  [4]: http://planet.plt-scheme.org/package-source/williams/science.plt/4/4/planet-docs/science/random-distributions.html
  [5]: http://planet.racket-lang.org/
  [6]: http://racket-lang.org/
  [7]: http://i.stack.imgur.com/TMXHQ.png
  [8]: http://wiki.call-cc.org/eggref/4/statistics
  [9]: http://wiki.call-cc.org/
