## [Where to find raw data about clinical trials?](http://stats.stackexchange.com/questions/18833/where-to-find-raw-data-about-clinical-trials)

You can have a look at the [Clinical Trials Network][1], where data are available in [CDISC][2] format. You must agree to their terms and conditions, although the following point might be of concern for teaching purpose:

> To retain control over the received data, and not to transfer any
> portion of the received data, with or without charge, to any other
> entity or individual

(Anyway, I think that you can just send an email to the contact support to check that their data can be used for teaching.)

The [NIDKK Data Repository][3] is specifically concerned with studies on kidney and liver disease, and diabete; however, you have to submit an application.

Otherwise, perhaps the [ADNI][4] project, which aims at characterizing change in cognitive functions and brain structures with age, with a particular emphasis on Alzheimer's disease and neuroimaging, might be interesting. This is not a clinical trial, but available data include: demographics, clinical and cognitive data, neuroimaging (MRI/PET) data. Details about protocols and data can be found under [ADNI Scientist's Home][5], and data are available on [ADCS][6] website.

There doesn't seem to be anything related to RCTs on http://www.infochimps.com/. However, I remember having seen some clinical data used with the [Weka][7] software, as e.g. on this page: [Data mining to predict patient outcome in a clinical trial of a lung cancer treatment][8].


  [1]: http://www.ctndatashare.org/
  [2]: http://www.cdisc.org/
  [3]: https://www.niddkrepository.org/
  [4]: http://www.adni-info.org/
  [5]: http://www.adni-info.org/Scientists/ADNIScientistsHome.aspx
  [6]: http://adcs.org/
  [7]: http://www.cs.waikato.ac.nz/ml/weka/
  [8]: http://cs-people.bu.edu/dgs/courses/cs105/hall_of_fame/cook.html
