## [Difference between Cohen's d and Hedges' g for effect size metrics](http://stats.stackexchange.com/questions/1850/difference-between-cohens-d-and-hedges-g-for-effect-size-metrics)

To my understanding, Hedges's g is a somewhat more accurate version of Cohen's d (with pooled SD) in that we add a correction factor for small sample. Both measures generally agree when the homoscedasticity assumption is not violated, but we may found situations where this is not the case, see e.g. McGrath & Meyer, *Psychological Methods* 2006, **11(4)**: 386-401 ([pdf][1]). Other papers are listed at the end of my reply.

I generally found that in almost every psychological or biomedical studies, this is the Cohen's d that is reported; this probably stands from the well-known rule of thumb for interpreting its magnitude (Cohen, 1988). I don't know about any recent paper considering Hedges's g (or Cliff delta as a non-parametric alternative). Bruce Thompson has a [revised version][2] of the APA section on effect size.

Googling about Monte Carlo studies around effect size measures, I found this paper which might be interesting (I only read the abstract and the simulation setup): [Robust Confidence Intervals for Effect Sizes: A Comparative Study of Cohen’s d and Cliff’s Delta Under Non-normality and Heterogeneous Variances][3] (pdf).

About your 2nd comment, the `MBESS` R package includes various utilities for ES calculation (e.g., `smd` and related functions).

**Other references**

1. Zakzanis, K.K. (2001). Statistics to tell the truth, the whole truth, and nothing but the truth: Formulae, illustrative numerical examples, and heuristic interpretation of effect size analyses for neuropsychological researchers. *Archives of Clinical Neuropsychology*, 16(7), 653-667. ([pdf][4])
2. Durlak, J.A. (2009). How to Select, Calculate, and Interpret Effect Sizes. *Journal of Pediatric Psychology* ([pdf][5])


  [1]: http://www.bobmcgrath.org/Pubs/When_effect_sizes_disagree.pdf
  [2]: http://people.cehd.tamu.edu/~bthompson/apaeffec.htm
  [3]: http://www.coedu.usf.edu/main/departments/me/documents/cohen.pdf
  [4]: http://www.sciencedirect.com/science?_ob=ArticleURL&_udi=B6VDJ-43TFJ8B-4&_user=10&_coverDate=10%2F31%2F2001&_rdoc=1&_fmt=high&_orig=search&_sort=d&_docanchor=&view=c&_searchStrId=1435354249&_rerunOrigin=google&_acct=C000050221&_version=1&_urlVersion=0&_userid=10&md5=12f831e4b738bda3a217d40d6cfd329f
  [5]: http://jpepsy.oxfordjournals.org/cgi/content/full/jsp004v1
