## [Checking assumptions for random effects in nested mixed-effects models in R / S-Plus](http://stats.stackexchange.com/questions/2085/checking-assumptions-for-random-effects-in-nested-mixed-effects-models-in-r-s-p)

It seems you are using the `nlme` package. Maybe it would be worth trying R and the `lme4` instead, although it is not fully comparable wrt. syntax or function call. 

In your case, I would suggest to specify the `level` when you called `ranef()`, see `?ranef.lme`:

<pre>
   level: an optional vector of positive integers giving the levels of
          grouping to be used in extracting the random effects from an
          object with multiple nested grouping levels. Defaults to all
          levels of grouping.
</pre>

This is also present in the official [documentation][1] for NLME 3.0 (e.g., p. 17).

Check out Douglas Bates's neat handouts on GLMM. He is also writing a textbook entitled *lme4: Mixed-effects modeling with R*. All are available on [R-forge][2]. 


  [1]: http://ftp.chg.ru/pub/math/NLME/UGuide.pdf
  [2]: http://lme4.R-forge.R-project.org/
