## [Working through a clustering problem](http://stats.stackexchange.com/questions/369/working-through-a-clustering-problem)

You can try *Latent Semantic Analysis*, which basically provides a way to represent in a reduced space your news feeds and any term (in your case, keyword appearing in the title). As it relies on Singular Value Decomposition, I suppose you may then be able to check if there exists a particular association between those two attributes. I know this is used to find documents matching a specific set of criteria, as in information retrieval, or to construct a tree reflecting terms similarity (like a dictionary) based on a large corpus (which here plays the role of the concept space).

See for a gentle introduction [An Introduction to Latent Semantic Analysis][1], by Landauer et al.

Moreover, there is an R package that implements this technique, namely [lsa][2].


  [1]: http://lsa.colorado.edu/papers/dp1.LSAintro.pdf
  [2]: http://cran.r-project.org/web/packages/lsa/index.html
