## [Adding labels to points using mds and scatter3d package with R](http://stats.stackexchange.com/questions/2256/adding-labels-to-points-using-mds-and-scatter3d-package-with-r)

Basically, what you need is to store your `scatterplot3d` in a variable and reuse it like this:

    x <- replicate(10,rnorm(100))
    x.mds <- cmdscale(dist(x), eig=TRUE, k=3)
    s3d <- scatterplot3d(x.mds$points[,1:3])
    text(s3d$xyz.convert(0,0,0), labels="Origin")

Replace the coordinates and text by whatever you want to draw. You can also use a color vector to highlight the groups of interest.

The `R.basic` package, from H[enrik Bengtsson][1], seems to provide additional facilities to customize 3D plots, but I never tried it.


  [1]: http://www.braju.com/R/
