## [Explain the difference between multiple regression and multivariate regression, with minimal use of symbols/math.](http://stats.stackexchange.com/questions/2358/explain-the-difference-between-multiple-regression-and-multivariate-regression-w)

Very quickly, I would say: 'multiple' applies to the number of predictors that enter the model (or equivalently the design matrix) with a single outcome (Y response), while 'multivariate' refers to a matrix of response vectors. Cannot remember the author who starts its introductory section on multivariate modeling with that consideration, but I think it is Brian Everitt in his textbook [An R and S-Plus Companion to Multivariate Analysis][1]. For a thorough discussion about this, I would suggest to look at his latest book, [Multivariable Modeling and Multivariate Analysis for the Behavioral Sciences][2].

For 'variate', I would say this is a common way to refer to any random variable that follows a known or hypothesized distribution, e.g. we speak of gaussian variates $X_i$ as a series of observations drawn from a normal distribution (with parameters $\mu$ and $\sigma^2$). In probabilistic terms, we said that these are some random *realizations* of X, with mathematical expectation $\mu$, and about 95% of them are expected to lie on the range $[\mu-2\sigma;\mu+2\sigma]$ .


  [1]: http://www.springer.com/statistics/social+sciences+%26+law/book/978-1-85233-882-4
  [2]: http://www.crcpress.com/product/isbn/9781439807699?refpage=http%3A//www.crcpress.com/ecommerce_product/browse_book_categories.jsf&refpn=category&refpv=STA12A
