## [What stop-criteria for agglomerative hierarchical clustering are used in practice?](http://stats.stackexchange.com/questions/2597/what-stop-criteria-for-agglomerative-hierarchical-clustering-are-used-in-practice)

It is rather difficult to provide a clear-cut solution about how to choose the "best" number of clusters in your data, whatever the clustering method you use, because Cluster Analysis seeks to isolate groups of statistical units (whether it be individuals or variables) for exploratory or descriptive purpose, essentially. Hence, you also have to interpret the output of your clustering scheme and several cluster solutions may be equally interesting. 

Now, regarding usual statistical criteria used to decide when to stop to aggregate data, as pointed by @ars most are *visual-guided criteria*, including the analysis of the dendrogram or the inspection of clusters profiles, also called [silhouette][1] plots (Rousseeuw, 1987). Several *numerical criteria*, also known as validity indices, were also proposed, e.g. Dunn’s validity index, Davies-Bouldin valid- ity index, C index, Hubert’s gamma, to name a few. Hierarchical clustering is often run together with k-means (in fact, several instances of k-means since it is a stochastic algorithm), so that it add support to the clustering solutions found. I don't know if all of this stuff is readily available in Python, but a huge amount of methods is available in R (see the [Cluster][2] task view, already cited by @mbq for a related question, [What tools could be used for applying clustering algorithms on MovieLens?][3]). Other approaches include [fuzzy clustering][4] and [model-based clustering][5] (also called *latent trait analysis*, in the psychometric community) if you seek more robust way to choose the number of clusters in your data.

BTW, I just came across this webpage, [scipy-cluster][6], which is *an extension to Scipy for generating, visualizing, and analyzing hierarchical clusters*. Maybe it includes other functionalities? I've also heard of [PyChem][7] which offers pretty good stuff for multivariate analysis.

The following reference may also be helpful:

Steinley, D., & Brusco, M. J. (2008). Selection of variables in cluster analysis: An empirical comparison of eight procedures. _Psychometrika_, _73_, 125-144.

  [1]: http://en.wikipedia.org/wiki/Silhouette_(clustering)
  [2]: http://cran.r-project.org/web/views/Cluster.html
  [3]: http://stats.stackexchange.com/questions/183/what-tools-could-be-used-for-applying-clustering-algorithms-on-movielens/518#518
  [4]: http://en.wikipedia.org/wiki/Fuzzy_clustering
  [5]: http://www.stat.washington.edu/mclust/
  [6]: http://code.google.com/p/scipy-cluster/
  [7]: http://pychem.sourceforge.net/
