## [How to combine confidence intervals for a variance component of a mixed-effects model when using multiple imputation](http://stats.stackexchange.com/questions/2611/how-to-combine-confidence-intervals-for-a-variance-component-of-a-mixed-effects-m)

This is a great question! Not sure this is a full answer, however, I drop these few lines in case it helps.

It seems that Yucel and Demirtas (2010) refer to an older paper published in the JCGS, [Computational strategies for multivariate linear mixed-effects models with missing values][1], which uses an hybrid EM/Fisher scoring approach for producing likelihood-based estimates of the VCs. It has been implemented in the R package [mlmmm][2]. I don't know, however, if it produces CIs.

Otherwise, I would definitely check the [WinBUGS][3] program, which is largely used for multilevel models, including those with missing data. I seem to remember it will only works if your MV are in the response variable, not in the covariates because we generally have to specify the full conditional distributions (if MV are present in the independent variables, it means that we must give a prior to the missing Xs, and that will be considered as a parameter to be estimated by WinBUGS...). It seems to apply to R as well, if I refer to the following thread on r-sig-mixed, [missing data in lme, lmer, PROC MIXED][4]. Also, it may be worth looking at the [MLwiN][5] software.


  [1]: http://sci2s.ugr.es/keel/pdf/specific/articulo/schafer_yucel02.pdf
  [2]: http://cran.r-project.org/web/packages/mlmmm/index.html
  [3]: http://www.mrc-bsu.cam.ac.uk/bugs/winbugs/contents.shtml
  [4]: https://stat.ethz.ch/pipermail/r-sig-mixed-models/2008q3/001192.html
  [5]: http://www.cmm.bristol.ac.uk/MLwiN/
