## [What is the difference between summary and loadings for princomp?](http://stats.stackexchange.com/questions/2844/what-is-the-difference-between-summary-and-loadings-for-princomp)

The first output is the correct and most useful one. Calling `loadings()` on your object just returns a summary where the SS are always equal to 1, hence the % variance is just the SS loadings divided by the number of variables. It makes sense only when using Factor Analysis (like in `factanal`). I never use `princomp` or its SVD-based alternative (`prcomp`), and I prefer the [FactoMineR][1] or [ade4][2] package which are by far more powerful!

About your second question, the `summary()` function just returns the SD for each component (`pc.cr$sdev` in your case), and the rest of the table seems to be computed afterwards (through the `print` or `show` method, I didn't investigate this in details).


    > getS3method("summary","princomp")
    function (object, loadings = FALSE, cutoff = 0.1, ...)
    {
        object$cutoff <- cutoff
        object$print.loadings <- loadings
        class(object) <- "summary.princomp"
        object
    }
    <environment: namespace:stats>

What `princomp()` itself does may be viewed using `getAnywhere("princomp.default")`.

  [1]: http://cran.r-project.org/web/packages/FactoMineR/index.html
  [2]: http://cran.r-project.org/web/packages/ade4/index.html
