## [Factor analysis of dyadic data](http://stats.stackexchange.com/questions/3006/factor-analysis-of-dyadic-data)

Structural equation models are better suited for this kind of data, e.g. by introducing an extra factor for couple which allows to account for the dependence structure (paired responses). David A. Kenny reviewed the main points for [analysis dyadic data][1]; although it doesn't focus on questionnaire analysis, it may help.

A couple of references :

1. Olsen, JA and Kenny, DA (2006). [Structural Equation Modeling With Interchangeable Dyads][2]. *Psychological Methods*, *11(2)*, 127–141.
2. McMahon,, JM, Pouget, ER, and Tortu, S (2006). [A guide for multilevel modeling of dyadic data with binary outcomes using SAS PROC NLMIXED][3]. *Comput Stat Data Anal.*, *50(12)*, 3663–3680. 
3. Thompson, L and Walker, AJ (1982). [The Dyad as the Unit of Analysis: Conceptual and Methodological Issues][4]. *Journal of Marriage and the Family*, 889-900.
4. Newsom, JT (2002). [A multilevel structural equation model for dyadic data][5]. *Structural Equation Modeling*, *9(3)*, 441-447.
5. González, J, Tuerlinckx, F, and De Boeck, P (2009). [Analyzing structural relations in multivariate dyadic binary data][6]. *Applied Multivariate Research*, *13*, 77-92.
6. Gill, PS (2005). [Bayesian Analysis of Dyadic Data][7].

For more thorough description of the models for dyadic data (although not restrained to item analysis), I would suggest

* Kenny, DA, Kashy, DA, and Cook, WL (2006). *[Dyadic Data Analysis][8]*. Guilford Press.
* Card, NA, Selig, JP, and Little, TD (2008). *[Modeling Dyadic and Interdependent Data in the Developmental and Behavioral Sciences][9]*. Mahwah, NJ: Lawrence Erlbaum Associates.


  [1]: http://davidakenny.net/dyad.htm
  [2]: http://www.umass.edu/family/pdfs/OlsenKenny.pdf
  [3]: http://www.ncbi.nlm.nih.gov/pmc/articles/PMC1550976/
  [4]: https://mywebspace.wisc.edu/rlbrown3/web/dyad/351453.pdf
  [5]: https://mywebspace.wisc.edu/rlbrown3/web/dyad/Newsom2002.pdf
  [6]: http://ppw.kuleuven.be/okp/_pdf/Gonzalez2009ASRIM.pdf
  [7]: http://www.stat.sfu.ca/~tim/papers/dyadic1.pdf
  [8]: http://davidakenny.net/kkc/kkc.htm
  [9]: http://www.routledgeeducation.com/books/Modeling-Dyadic-and-Interdependent-Data-in-the-Developmental-and-Behavioral-Sciences-isbn9780805859737
