## [How to look for valleys in a graph?](http://stats.stackexchange.com/questions/3052/how-to-look-for-valleys-in-a-graph)

Some of the [Bioconductor][1]'s packages (e.g., [ShortRead][2], [Biostrings][3], [BSgenome][4], [IRanges][5], [genomeIntervals][6]) offer facilities for dealing with genome positions or coverage vectors, e.g. for [ChIP-seq][7] and identifying enriched regions. As for the other answers, I agree that any method relying on ordered observations with some threshold-based filter would allow to isolate low signal within a specific bandwith.

Maybe you can also look at the methods used to identify so-called "islands"

> Zang, C, Schones, DE, Zeng, C, Cui, K,
> Zhao, K, and Peng, W (2009). [A
> clustering approach for identification
> of enriched domains from histone
> modification ChIP-Seq data][8].
> Bioinformatics, *25(15)*, 1952-1958.


  [1]: http://www.bioconductor.org
  [2]: http://www.bioconductor.org/packages/2.3/bioc/html/ShortRead.html
  [3]: http://www.bioconductor.org/packages/2.2/bioc/html/Biostrings.html
  [4]: http://www.bioconductor.org/packages/2.3/bioc/html/BSgenome.html
  [5]: http://www.bioconductor.org/packages/2.3/bioc/html/IRanges.html
  [6]: http://www.bioconductor.org/packages/2.6/bioc/html/genomeIntervals.html
  [7]: http://en.wikipedia.org/wiki/Chip-Sequencing
  [8]: http://bioinformatics.oxfordjournals.org/content/25/15/1952.full.pdf+html
