## [How to cope with exploratory data analysis and data dredging in small-sample studies?](http://stats.stackexchange.com/questions/3252/how-to-cope-with-exploratory-data-analysis-and-data-dredging-in-small-sample-stud)

I just drop some references about **data dredging** and **clinical studies** for the interested reader. This is intended to extend [@onestop][1]'s fine answer. I tried to avoid articles focusing only on multiple comparisons or design issues, although studies with multiple endpoints continue to present challenging and controversial discussions (long after Rothman's claims about [useless adjustments][2], *Epidemiology* 1990, 1: 43-46; or see Feise's review in *[BMC Medical Research Methodology][3]* 2002, 2:8).

My understanding is that, although I talked about *exploratory data analysis*, my question more generally addresses the use of data mining, with its potential pitfalls, in parallel to hypothesis-driven testing.

1. Koh, HC and Tan, G (2005). [Data Mining Applications in Healthcare][4]. *Journal of Healthcare Information Management*, 19(2), 64-72.
2. Ioannidis, JPA (2005). [Why most published research findings are false][5]. *PLoS Medicine*, 2(8), e124.
3. Anderson, DR, Link, WA, Johnson, DH, and Burnham, KP (2001). [Suggestions for Presenting the Results of Data Analysis][6]. *The Journal of Wildlife Management*, 65(3), 373-378. -- this echoes @onestop's comment about the fact that we have to acknowledge the data-driven exploration/modeling beyond the initial set of hypotheses
4. Michels, KB and Rosner, BA (1996). [Data trawling: to fish or not to fish][7]. *Lancet*, 348, 1152-1153.
5. Lord, SJ, Gebski, VJ, and Keech, AC (2004). [Multiple analyses in clinical trials: sound science or data dredging?][8]. *The Medical Journal of Australia*, 181(8), 452-454.
6. Smith, GD and Ebrahim, S (2002). [Data dredging, bias, or confounding][9]. *BMJ*, 325, 1437-1438.
7. Afshartous, D and Wolf, M (2007). [Avoiding ‘data snooping’ in multilevel and mixed effects models][10]. *Journal of the Royal Statistical Society A*, 170(4), 1035–1059
8. Anderson, DR, Burnham, KP, Gould, WR, and Cherry, S (2001). [Concerns about finding effects that are actually spurious][11]. *Widlife Society Bulletin*, 29(1), 311-316.


  [1]: http://stats.stackexchange.com/users/449/onestop
  [2]: http://www.ncbi.nlm.nih.gov/pubmed/2081237?dopt=AbstractPlus&holding=f1000,f1000m,isrctn
  [3]: http://www.biomedcentral.com/1471-2288/2/8/
  [4]: http://www.himss.org/content/files/jhim/19-2/datamining.pdf
  [5]: http://www.plosmedicine.org/article/info:doi/10.1371/journal.pmed.0020124
  [6]: http://digitalcommons.unl.edu/cgi/viewcontent.cgi?article=1227&context=usgsnpwrc
  [7]: http://www.cceb.med.upenn.edu/pages/courses/EPI520/2006/Michels_Rosner_1996.pdf
  [8]: http://www.mja.com.au/public/issues/181_08_181004/lor10602_fm.html
  [9]: http://citeseerx.ist.psu.edu/viewdoc/download;jsessionid=28DD37D54B42A126402B4A7290738FA8?doi=10.1.1.84.6814&rep=rep1&type=pdf
  [10]: http://www.iew.uzh.ch/institute/people/wolf/publications/jrss-a_2007.pdf
  [11]: http://warnercnr.colostate.edu/~anderson/PDF_files/Concerns.pdf
