## [R package ltm: How to manipulate title on item response category characteristic curve plot](http://stats.stackexchange.com/questions/3364/r-package-ltm-how-to-manipulate-title-on-item-response-category-characteristic-c)

Try using the argument `main=` when calling `plot()`, e.g. 


    dat <- Science[c(1,3,4,7)]
    fit1 <- grm(dat)
    plot(fit1, items=1, main=paste("Item", names(dat)[1], sep=": "))

See `help(plot.grm)`.

Also, you can embed all ICC curves in the same figure by using `par()`, e.g.

    opar <- par(mfrow=c(2,2))
    for (i in 1:4)
      plot(fit1, items=i, main=paste("Item", names(dat)[i], sep=": "))
    par(opar)
