## [Excel as a statistics workbench](http://stats.stackexchange.com/questions/3392/excel-as-a-statistics-workbench)

Incidently, a question around the use of Google spreadsheets raised contrasting (hence, interesting) opinions about that, [Do some of you use Google Docs spreadsheet to conduct and share your statistical work with others?][1]

I have in mind an older paper which didn't seem so pessimist, but it is only marginally cited in the paper you mentioned: Keeling and Pavur, [A comparative study of the reliability of nine statistical software packages][2] (CSDA 2007 51: 3811). But now, I found yours on my hard drive. There was also a special issue in 2008, see [Special section on Microsoft Excel 2007][3], and more recently in the Journal of Statistical Software: [On the Numerical Accuracy of Spreadsheets][4].

I think it is a long-standing debate, and you will find varying papers/opinions about Excel reliability for statistical computing. I think there are different levels of discussion (what kind of analysis do you plan to do, do you rely on the internal solver, are there non-linear terms that enter a given model, etc.), and sources of numerical inaccuracy might arise as the result of *proper computing errors* or *design choices* issues; this is well summarized in 

> M. Altman, J. Gill & M.P. McDonald,
> *Numerical Issues in Statistical
> Computing for the Social Scientist*,
> Wiley, 2004.

Now, for exploratory data analysis, there are various alternatives that provide enhanced visualization capabilities, multivariate and dynamic graphics, e.g. [GGobi][5] -- but see related threads on this wiki.

But, clearly the first point you made addresses another issue (IMO), namely that of using a spreadsheet to deal with large data set: it is simply not possible to import a large csv file into Excel (I'm thinking of genomic data, but it applies to other kind of high-dimensional data). It has not been built for that purpose.


  [1]: http://stats.stackexchange.com/questions/3244/do-some-of-you-use-google-docs-spreadsheet-to-conduct-and-share-your-statistical/3247#3247
  [2]: http://www.sciencedirect.com/science?_ob=ArticleURL&_udi=B6V8V-4JHMGWJ-1&_user=10&_coverDate=05%2F01%2F2007&_rdoc=1&_fmt=high&_orig=search&_origin=search&_sort=d&_docanchor=&view=c&_searchStrId=1488136142&_rerunOrigin=google&_acct=C000050221&_version=1&_urlVersion=0&_userid=10&md5=2babab0b51c03746d5d7a74d31f1498c&searchtype=a
  [3]: http://www.pages.drexel.edu/~bdm25/excel-intro.pdf
  [4]: http://www.jstatsoft.org/v34/i04/paper
  [5]: http://www.ggobi.org/
