## [How to Calculate the Pairwise LD for the given data?](http://stats.stackexchange.com/questions/3445/how-to-calculate-the-pairwise-ld-for-the-given-data)

There are various R/Bioconductor packages that allow you to compute pairwise correlation for SNPs in linkage disequilibrium, see the CRAN Task View [Statistical Genetics][1]. As I worked directly with whole genome scan, I've been mainly using `snpMatrix`, but [LDheatmap][2] or [mapLD][3] are fine. However, usually they expect genotype data (AA, AB, or BB), so I guess you will have to first convert your binary-encoded haplotype... About the filter on location, I also guess you just have to consider the pairwise $R^2$ or $D'$ for proximal SNPs (usually, we draw a so-called heatmap of pairwise LD, which is roughly speaking the lower-diag elements of the correlation matrix, so you just have to consider the very first off diagonal elements).

**Update**

Now that I've read some papers, I'm not sure you will achieve your goals with the aforementioned method. To my knowledge, few packages allow to cope with multiallelic loci or haplotype blocks, one example being the [gap][4] package from JH Zhao (see also a review in the [Journal of Statistical Software][5]). The `LDkl()` function for example computes D' and $\rho$ from a vector of haplotype frequencies, which can easily be plotted using `image()` or `levelplot()` from the `lattice` package.


  [1]: http://cran.r-project.org/web/views/Genetics.html
  [2]: http://cran.r-project.org/web/packages/LDheatmap/index.html
  [3]: http://cran.r-project.org/web/packages/mapLD/index.html
  [4]: http://cran.r-project.org/web/packages/gap/index.html
  [5]: http://www.jstatsoft.org/v23/i08/paper
