## [Relation between logistic regression coefficient and odds ratio in JMP](http://stats.stackexchange.com/questions/3628/relation-between-logistic-regression-coefficient-and-odds-ratio-in-jmp)

Ok, I drop a quick response. Your idea is correct in that the regression coefficient is the log of the OR. More precisely, if $b$ is your regression coefficient, $\exp(b)$ is the odds ratio corresponding to *a one unit change* in your variable. So, to get back to the adjusted odds, you need to know what are the internal coding convention for your factor levels. Usually, for a binary variable it is 0/1 or 1/2. But if it happens that your levels are represented as -1/+1 (which I suspect here), then you have to multiply the regression coefficient by 2 when exponentiating. 

The same would apply if you were working with a continuous variable, like age, and want to express the odds for 5 years ($\exp(5b)$) instead of 1 year ($\exp(b)$).

**Update:** I just found this about [JMP coding for nominal variables][1] (version < 7).


  [1]: http://www.jmp.com/support/faq/jmp2079.shtml
