## [What is a meaning of “p-value F” from Friedman test?](http://stats.stackexchange.com/questions/3758/what-is-a-meaning-of-p-value-f-from-friedman-test)

I generally used `friedman.test()` which doesn't return any F statistic. If you consider that you have $b$ blocks, for which you assigned ranks to observations belonging to each of them, and that you sum these ranks for each of your $a$ groups (let denote them sum $R_i$), then the Friedman statistic is defined as 

$$
F_r=\frac{12}{ba(a+1)}\sum_{i=1}^aR_i^2-3b(a+1)
$$

and follows a $\chi^2(a-1)$, for $a$ and $b$ sufficiently large. Quoting Zar (*Biostatistical Analysis*, 4th ed., pp. 263-264), this approximation is conservative (hence, test has low power) and we can use an F-test, with

$$
F_{\text{obs}}=\frac{(b-1)F_r}{b(a-1)-F_r}
$$ 

which is to be compared to an F distribution with $a-1$ and $(a-1)(b-1$) degrees of freedom.
