## [Kendall Tau or Spearman's rho?](http://stats.stackexchange.com/questions/3943/kendall-tau-or-spearmans-rho)

I found that Spearman correlation is mostly used in place of usual linear correlation when working with integer valued scores on a measurement scale, when it has a moderate number of possible scores or when we don't want to make rely on assumptions about the bivariate relationships. As compared to Pearson coefficient, the interpretation of Kendall's tau seems to me less direct than that of Spearman's rho, in the sense that it quantifies the difference between the % of concordant and discordant pairs among all possible pairwise events. In my understanding, Kendall's tau more closely resembles [Goodman-Kruskal Gamma][1].

I just browsed an article from Larry Winner in the J. Statistics Educ. (2006) which discusses the use of both measures, [NASCAR Winston Cup Race Results for 1975-2003][2].

I also found [@onestop][3] answer about [Pearson's or Spearman's correlation with non-normal data][4] interesting in this respect.

Of note, Kendall's tau (the *a* version) has connection to Somers' D (and Harrell's C) used for predictive modelling (see e.g., [Interpretation of Somers’ D under four simple models][5] by RB Newson and reference [6] therein, and articles by Newson published in the Stata Journal 2006). An overview of rank-sum tests is provided in [Efficient Calculation of Jackknife Confidence Intervals for Rank Statistics][6], that was published in the JSS (2006).


  [1]: http://en.wikipedia.org/wiki/Gamma_test_(statistics)
  [2]: http://www.amstat.org/publications/jse/v14n3/datasets.winner.html
  [3]: http://stats.stackexchange.com/questions/3730/pearsons-or-spearmans-correlation-with-non-normal-data/3744#3744
  [4]: http://stats.stackexchange.com/questions/3730/pearsons-or-spearmans-correlation-with-non-normal-data
  [5]: http://www.imperial.ac.uk/nhli/r.newson/miscdocs/intsomd1.pdf
  [6]: http://www.jstatsoft.org/v15/i01/paper
