## [Testing nonlinearity in logistic regression](http://stats.stackexchange.com/questions/4058/testing-nonlinearity-in-logistic-regression)

I would suggest to use restricted cubic splines (`rcs` in R, see the [Hmisc][1] and [Design][2] packages for examples of use), instead of adding power of $X$ in your model. This approach is the one that is recommended by Frank Harrell, for instance, and you will find a nice illustration in his handouts (§2.5 and chap. 9) on *Regression Modeling Strategies* (see the [companion website][3]).

You can compare the results with your Box-Tidwell test by using the `boxTidwell()` in the [car][4] package.

Transforming continuous predictors into categorical ones is generally not a good idea, see e.g. [Problems Caused by Categorizing Continuous Variables][5].


  [1]: http://cran.r-project.org/web/packages/Hmisc/index.html
  [2]: http://cran.r-project.org/web/packages/Design/index.html
  [3]: http://biostat.mc.vanderbilt.edu/twiki/bin/view/Main/RmS
  [4]: http://cran.r-project.org/web/packages/car/index.html
  [5]: http://biostat.mc.vanderbilt.edu/wiki/Main/CatContinuous
