## [Calculating quantiles for chi squared distribution](http://stats.stackexchange.com/questions/4471/calculating-quantiles-for-chi-squared-distribution)

By hand, you need to refer to a tabulated distribution of the $\chi^2$, which should be found easily on the web (e.g., [this one][1]). Let x denotes the quantile of interest, and v the degrees of freedom of the chi-square distribution.
You just have to know that the total area under the curve (i.e., the density) equals 1 (this will help you to work through the third case), and that such Tables generally gives P(X < x) = p, for a certain v. Knowing x (resp. p), you can find the approximated value of p (resp. x). In the aforementioned Table, the first cell reads: P(X < 1.32) = 0.25, for a 1-df chi-square.

If you have R, the `qchisq()` function gives you the requested quantiles (look at the on-line help to be sure of what is returned, esp. the `lower.tail` argument). For the preceding example, we would use `qchisq(0.25, 1, lower.tail=FALSE)`.

It is always a good idea to draw the corresponding density curve, as illustrated below. Note that p3 is also 1-P(X < q2).

![alt text][2]


  [1]: http://www.unc.edu/~farkouh/usefull/chi.html
  [2]: http://i.imgur.com/0wB5n.png
