## [How do you test an implementation of k-means?](http://stats.stackexchange.com/questions/4930/how-do-you-test-an-implementation-of-k-means)

The k-means includes a stochastic component, so it is very unlikely you will get the same result unless you have exactly the same implementation and use the same starting configuration. However, you could see if your results are in agreement with well-known implementations (don't know about Matlab, but implementation of k-means algorithm in R is well explained, see [Hartigan & Wong, 1979][1]). 

As for comparing two series of results, there still is an issue with label switching if it is to be run multiple times. Again, in the [e1071][2] R package, there is a very handy function (;`matchClasses()`) that might be used to find the 'best' mapping between two categories in a two-way classification table. Basically, the idea is to rearrange the rows so as to maximise their agreement with columns, or use a greedy approach and permute rows and columns until the sum of on the diagonal (raw agreement) is maximal. Coefficient of agreement like the [Kappa][3] statistic are also provided.

Finally, about how to benchmark your implementation, there are a lot of freely available data, or you can simulate a dedicated data set (e.g., through a finite mixture model, see the [MixSim][4] package).


  [1]: http://jmlr.csail.mit.edu/proceedings/papers/v9/telgarsky10a/telgarsky10a.pdf
  [2]: http://cran.r-project.org/web/packages/e1071/index.html
  [3]: http://en.wikipedia.org/wiki/Cohen%27s_kappa
  [4]: http://cran.r-project.org/web/packages/MixSim/index.html
