## [Explanation of finite correction factor](http://stats.stackexchange.com/questions/5158/explanation-of-finite-correction-factor)

The threshold is chosen such that it ensures convergence of the [hypergeometric distribution][1] ($\sqrt{\frac{N-n}{N-1}}$ is its SD), instead of a binomial distribution (for sampling with replacement), to a normal distribution (this is the Central Limit Theorem, see e.g., [The Normal Curve, the Central Limit Theorem, and Markov's and Chebychev's Inequalities for Random Variables][2]). In other words, when $n/N\leq 0.05$ (i.e., $n$ is not 'too large' compared to $N$), the FPC can safely be ignored; it is easy to see how the correction factor evolves with varying $n$ for a fixed $N$: with $N=10,000$, we have $\text{FPC}=.9995$ when $n=10$ while $\text{FPC}=.3162$ when $n=9,000$. When $N\to\infty$, the FPC approaches 1 and we are close to the situation of sampling with replacement (i.e., like with an infinite population).

To understand this results, a good starting point is to read some online tutorials on sampling theory where sampling is done without replacement ([simple random sampling][3]). This online tutorial on [Nonparametric statistics][5] has an illustration on computing the expectation and variance for a total. 

You will notice that some authors use $N$ instead of $N-1$ in the denominator of the FPC; in fact, it depends on whether you work with the sample or population statistic: for the variance, it will be $N$ instead of $N-1$ if you are interested in $S^2$ rather than $\sigma^2$.

As for online references, I can suggest you

* [Estimation and statistical inference][6]
* [A new look at inference for the Hypergeometric Distribution][7]
* [Finite Population Sampling with Application to the Hypergeometric Distribution][8]
* [Simple random sampling][9]


  [1]: http://en.wikipedia.org/wiki/Hypergeometric_distribution
  [2]: http://stat-www.berkeley.edu/~stark/SticiGui/Text/clt.htm
  [3]: http://en.wikipedia.org/wiki/Simple_random_sample
  [4]: http://www.casact.org/pubs/proceed/proceed67/67149.pdf
  [5]: http://www.stat.washington.edu/fritz/DATAFILES425_2009/Stat425Ranksum.pdf
  [6]: http://www.idrc.ca/esaro/ev-104013-201-1-DO_TOPIC.html
  [7]: http://wmbriggs.com/public/HGDAmstat4.pdf
  [8]: http://www.stat.washington.edu/fritz/DATAFILES/hypergeo.pdf
  [9]: http://statmaster.sdu.dk/courses/st118/module02/index.html
