## [How to present the gain in explained variance thanks to the correlation of Y and X?](http://stats.stackexchange.com/questions/6268/how-to-present-the-gain-in-explained-variance-thanks-to-the-correlation-of-y-and)

Here are some suggestions (about your plot, not about how I would illustrate correlation/regression analysis):

* The two univariate plots you show in the right and left margins may be simplified with a call to `rug()`;
* I find more informative to show a density plot of $X$ and $Y$ or a boxplot, at risk of being evocative of the idea of a bi-normality assumption which makes no sense in this context;
* In addition to the regression line, it is worth showing a non-parametric estimate of the trend, like a loess (this is good practice and highly informative about possible local non linearities);
* Points might be highlighted (with varying color or size) according to Leverage effect or Cook distances, i.e. any of those measures that show how influential individual values are on the estimated regression line. I'll second @DWin's comment and I think it is better to highlight how individual points "degrade" goodness-of-fit or induce some kind of departure from the linearity assumption.

Of note, this graph assumes X and Y are non-paired data, otherwise I would stick to a [Bland-Altman plot][1] ($(X-Y)$ against $(X+Y)/2$), in addition to scatterplot.


  [1]: http://en.wikipedia.org/wiki/Bland–Altman_plot
