## [likelihood ratio test in R](http://stats.stackexchange.com/questions/6505/likelihood-ratio-test-in-r)

Basically, yes, provided you use the correct difference in log-likelihood:

    > library(epicalc)
    > model0 <- glm(case ~ induced + spontaneous, family=binomial, data=infert)
    > model1 <- glm(case ~ induced, family=binomial, data=infert)
    > lrtest (model0, model1)
    Likelihood ratio test for MLE method 
    Chi-squared 1 d.f. =  36.48675 , P value =  0 
    > model1$deviance-model0$deviance
    [1] 36.48675

and *not the deviance for the null model* which is the same in both cases. The number of df is the number of parameters that differ between the two nested models, here df=1. BTW, you can look at the source code for `lrtest()` by just typing

    > lrtest

at the R prompt.
