## [How can one plot continuous by continuous interactions in ggplot2?](http://stats.stackexchange.com/questions/6557/how-can-one-plot-continuous-by-continuous-interactions-in-ggplot2)

Here's my version with your simulated data set:

    x1 <- rnorm(100,2,10)
    x2 <- rnorm(100,2,10)
    y <- x1+x2+x1*x2+rnorm(100,1,2)
    dat <- data.frame(y=y,x1=x1,x2=x2)
    res <- lm(y~x1*x2,data=dat)
    z1 <- z2 <- seq(-1,1)
    newdf <- expand.grid(x1=z1,x2=z2)
    
    library(ggplot2)
    p <- ggplot(data=transform(newdf, yp=predict(res, newdf)), 
                aes(y=yp, x=x1, color=factor(x2))) + stat_smooth(method=lm)
    p + scale_colour_discrete(name="x2") + 
      labs(x="x1", y="mean of resp") + 
      scale_x_continuous(breaks=seq(-1,1)) + theme_bw()

I let you manage the details about x/y-axis labels and legend positioning.

![enter image description here][1]


  [1]: http://i.imgur.com/rPz0z.png
