## [Visualizing the intersections of many sets](http://stats.stackexchange.com/questions/6234/visualizing-the-intersections-of-many-sets)

This won't compete with @Shane's answer because circular displays are really well suited for displaying complex relationships with high-dimensional datasets.

For Venn diagrams, I've been using the [venneuler][1] R package. It has a simple yet intuitive interface and produce nifty diagrams with transparency, compared to the basic `venn()` function [described][2] in the *Journal of Statistical Software*. It does not handle more than 3 categories, though. Another project is [eVenn][3] and it deals with $K=4$ sets.

More recently, I came across a new package that deal with higher-order relation sets, and probably allow to reproduce some of the Venn diagrams shown on Wikipedia or on this webpage, [What is a Venn Diagram?][4], but it is also limited to $K=4$ sets. It is called VennDiagram, but see the reference paper: [VennDiagram: a package for the generation of highly-customizable Venn and Euler diagrams in R][5] (Chen and Boutros, *BMC Bioinformatics* 2011, 12:35).

For further reference, you might be interested in

> Kestler et al., [Generalized Venn
> diagrams: a new method of visualizing
> complex genetic set relations][6],
> Bioinformatics, 21(8), 1592-1595
> (2004).

Venn diagrams have their limitations, though. In this respect, I like the approach taken by Robert Kosara in [Sightings: A Vennerable Challenge][7], or with [Parallel Sets][8] (but see also [this discussion][9] on Andrew Gelman weblog).


  [1]: http://cran.r-project.org/web/packages/venneuler/index.html
  [2]: http://www.jstatsoft.org/v11/c01/paper
  [3]: http://cran.r-project.org/web/packages/eVenn/index.html
  [4]: http://www.combinatorics.org/Surveys/ds5/VennWhatEJC.html
  [5]: http://www.ncbi.nlm.nih.gov/pubmed/21269502
  [6]: http://bioinformatics.oxfordjournals.org/content/21/8/1592.full
  [7]: http://eagereyes.org/blog/2008/sightings-a-vennerable-challenge.html
  [8]: http://kosara.net/papers/2010/Kosara_BeautifulVis_2010.pdf
  [9]: http://www.stat.columbia.edu/~cook/movabletype/archives/2007/10/venn_diagram_ch.html
