## [How to create coloured tables with Sweave and xtable?](http://stats.stackexchange.com/questions/7952/how-to-create-coloured-tables-with-sweave-and-xtable)

Although I didn't try this explicitly from with R (I usually post-process the Tables in Latex directly with `\rowcolor`, `\rowcolors`, or the [colortbl][1] package), I think it would be easy to do this by playing with the `add.to.row` arguments in `print.xtable()`. It basically expect two components (passed as `list`): (1) row number, and (2) $\LaTeX$ command. Please note that command are added at the end of the specified row(s).

It seems to work, with the `colortbl` package. So, something like this

    <<result=tex>>
    library(xtable)
    m <- matrix(sample(1:10,10), nr=2)
    print(xtable(m), add.to.row=list(list(1),"\\rowcolor[gray]{.8} "))
    @

gives me

![enter image description here][2]

(This is a customized Beamer template, but this should work with a standard document. With Beamer, you'll probably want to add the `table` option when loading the package.)

  [1]: http://ctan.org/pkg/colortbl
  [2]: http://i.imgur.com/BkcUT.png
