## [How to display a matrix of correlations with missing entries?](http://stats.stackexchange.com/questions/9050/how-to-display-a-matrix-of-correlations-with-missing-entries)

Building upon @GaBorgulya's response, I would suggest trying fluctuation or level plot (aka heatmap displays).

For example, using [ggplot2][1]:

    library(ggplot2, quietly=TRUE)
    k <- 100
    rvals <- sample(seq(-1,1,by=.001), k, replace=TRUE)
    rvals[sample(1:k, 10)] <- NA
    cc <- matrix(rvals, nr=10)
    ggfluctuation(as.table(cc)) + opts(legend.position="none") + 
      labs(x="", y="")

(Here, missing entry are displayed in plain gray, but the default color scheme can be changed, and you can also put "NA" in the legend.)

![enter image description here][2]

or

    ggfluctuation(as.table(cc), type="color") + labs(x="", y="") +
      scale_fill_gradient(low = "red",  high = "blue")

(Here, missing values are simply not displayed. However, you can add a `geom_text()` and display something like "NA" in the empty cell.)

![enter image description here][3]


  [1]: http://had.co.nz/ggplot2/
  [2]: http://i.imgur.com/CiT5m.png
  [3]: http://i.imgur.com/SkfOB.png
