## [Software for easy-yet-robust data exploration](http://stats.stackexchange.com/questions/9085/software-for-easy-yet-robust-data-exploration)

As far as exploratory (possibly interactive) data analysis is concerned, I would suggest to take a look at:

* [Weka][1], originally targets data-mining applications, but can be used for data summaries.
* [Mondrian][2], for interactive data visualization.
* [KNIME][3], which relies on the idea of building data flows and is compatible with Weka and R.

All three accept data in `arff` or `csv` format.

In my view, Stata does not require so much programming expertise. This is even part of its attractiveness, in fact: Most of basic analysis can be done by point-and-click user actions, with dialog boxes for customizing specific parameters, say, for prediction in a linear model. The same applies, albeit to a lesser extent, to R when you use external GUIs like [Rcmdr][4], Deducer, etc. as said by @gsk3.


  [1]: http://www.cs.waikato.ac.nz/ml/weka/
  [2]: http://rosuda.org/mondrian/
  [3]: http://knime.org/knime
  [4]: http://socserv.mcmaster.ca/jfox/Misc/Rcmdr/
