## [Measure of association for 2x3 contingency table](http://stats.stackexchange.com/questions/9062/measure-of-association-for-2x3-contingency-table)

Linear or monotonic trend tests--$M^2$ association measure, WMW test cited by @GaBorgulya, or the Cochran-Armitage trend test--can also be used, and they are well explained in Agresti ([CDA][1], 2002, §3.4.6, p. 90). 

The latter is actually equivalent to a score test for testing $H_0:\; \beta = 0$ in a logistic regression model, but it can be computed from the $M^2$ statistic, defined as $(n-1)r^2$ ($\sim\chi^2(1)$ for large sample), where $r$ is the sample correlation coefficient between the two variables (the ordinal measure being recoded as numerical scores), by replacing $n-1$ with $n$ (ibid., p. 182). It is easy to compute in any statistical software, but you can also use the [coin][2] package in R (I provided an example of use for a [related question][3]). 

**Sidenote**

If you are using R, you will find useful resources in either Laura Thompson's [R (and S-PLUS) Manual to Accompany Agresti’s Categorical Data Analysis (2002)][4], which shows how to replicate Agresti's results with R, or the [gnm][5] package (and its companion packages, [vcd][6] and [vcdExtra][7]) which allows to fit row-column association models (see the vignette, [Generalized nonlinear models in R: An overview of the gnm package][8]).


  [1]: http://www.stat.ufl.edu/~aa/cda/cda.html
  [2]: http://cran.r-project.org/web/packages/coin/index.html
  [3]: http://stats.stackexchange.com/questions/8774/what-is-the-difference-between-independence-test-in-r-and-cott/8979#8979
  [4]: https://home.comcast.net/~lthompson221/Splusdiscrete2.pdf
  [5]: http://cran.r-project.org/web/packages/gnm/index.html
  [6]: http://cran.r-project.org/web/packages/vcd/index.html
  [7]: http://cran.r-project.org/web/packages/vcdExtra/index.html
  [8]: http://cran.r-project.org/web/packages/gnm/vignettes/gnmOverview.pdf
