## [Calculating the MacKinnon empirical distribution test to test mediation](http://stats.stackexchange.com/questions/9605/calculating-the-mackinnon-empirical-distribution-test-to-test-mediation)

Tests for full and partial mediation are well explained on the [Mediation FAQ][1] webpage by David P. MacKinnon, and they can be implemented in any statistical package offering tools for regression modeling. Bootstraping can be used to derive standard errors and confidence intervals for the estimated coefficients.

If you are using R, there's even a [mediation][2] package that helps you to estimate those effects, but also to conduct a sensitivity analysis on mediation effect for violations of sequential ignorability assumption. I've been previously using the [QuantPsyc][3] package, from [Thomas Fletcher][4], which implements methods proposed by MacKinnon and coll. With Stata, it can be done as described on the UCLA Stata FAQ, [How can I do moderated mediation in Stata?][5]

A good overview is also available in

> Preacher, K.J., Rucker, D.D., and
> Hayes, A.F. (2007). [Addressing
> Moderated Mediation Hypotheses:
> Theory, Methods, and
> Prescriptions][6]. *Multivariate
> Behavioral Research*, *42(1)*,
> 185-227.


  [1]: http://www.public.asu.edu/~davidpm/ripl/q&a.htm
  [2]: http://cran.r-project.org/web/packages/mediation/index.html
  [3]: http://cran.r-project.org/web/packages/QuantPsyc/index.html
  [4]: http://www.umsl.edu/~fletchert/quant/
  [5]: http://www.ats.ucla.edu/stat/stata/faq/modmed.htm
  [6]: http://bama.ua.edu/~jamie/mediation/Preacher,%20Rucker,%20&%20Hayes%20%28in%20press%29.pdf
