## [How to get Cooks distance and carry out residual analysis for non lm() and non glm() with R](http://stats.stackexchange.com/questions/10454/how-to-get-cooks-distance-and-carry-out-residual-analysis-for-non-lm-and-non-gl)

As described in the on-line help, the `cooks.distance()` function expects an object of class `lm` or `glm` so it is not possible to get it work with other type of models. It is defined in `src/library/stats/R/lm.influence.R`, from R source, so you can browse the code directly and build your own function if nothing exits in other places. A quick way of seeing what it does is to type `stats:::cooks.distance.lm` at the R prompt, though.

Also, as `tobit` is nothing more than a wrapper for `survreg`, all attached methods to the latter kind of R object might be used. For example, there's a `residuals.survreg` (in the [survival][1] package) S3 method for extracting residuals from objects inheriting from class `survreg`.


  [1]: http://cran.r-project.org/web/packages/survival/index.html
