## [Multinomial choice with binary observations](http://stats.stackexchange.com/questions/10719/multinomial-choice-with-binary-observations)

Unless I misunderstood the question, this refer to paired preference (1) or [pair comparison][1] data. A well-known example of such a model is the Bradley-Terry model (2), which shares some connections with item scaling in psychometrics (3). There is an R package, [BradleyTerry2][2], described in the JSS (2005) 12(1), [Bradley-Terry Models in R][3],  and a detailed overview in Agresti's CDA, pp. 436-439, with R code available in Laura Thompson's textbook, [R (and S-PLUS) Manual to Accompany Agresti’s Categorical Data Analysis (2002) 2nd edition][4].


**References**

1. Thurstone, L.L. (1927). A law of comparative judgment. *Psychological Review*, *3*, 273-286.
2. Bradley, R.A. and Terry, M.E. (1952). Rank analysis of incomplete block designs I: The methods of paired comparisons. *Biometrika*, *39*, 324-345.
3. Andrich, D. (1978). Relationships between the Thurstone and Rasch approaches to item scaling. *Applied Psychological Measurement*, *2(3)*, 451-462.


  [1]: http://en.wikipedia.org/wiki/Pairwise_comparison
  [2]: http://cran.r-project.org/web/packages/BradleyTerry2/index.html
  [3]: http://www.jstatsoft.org/v12/i01/paper
  [4]: https://home.comcast.net/~lthompson221/Splusdiscrete2.pdf
