## [What is a propensity weighting sampling / RIM?](http://stats.stackexchange.com/questions/11290/what-is-a-propensity-weighting-sampling-rim)

You may know that weighting generally aims at ensuring that a given sample is representative of its target population. If in your sample some attributes (e.g., gender, SES, type of medication) are less well represented than in the population from which the sample comes from, then we may adjust the weights of the incriminated statistical units to better reflect the hypothetical target population.

RIM weighting (or raking) means that we will equate the sample marginal distribution to the theoretical marginal distribution. It bears some idea with post-stratification, but allows to account for many covariates. I found a good overview in this handout about [Weighting Methods](http://sekhon.berkeley.edu/causalinf/sp2010/section/week9.pdf), and here is an example of its use in a real study: [Raking Fire Data][1].

Propensity weighting is used to compensate for unit non-response in a survey, for example, by increasing the sampling weights of the respondents in the sample using estimates of the probabilities that they responded to the survey. This is in spirit the same idea than the use of propensity scores to adjust for treatment selection bias in observational clinical studies: based on external information, we estimate the probability of patients being included in a given treatment group and compute weights based on factors hypothesized to influence treatment selection. Here are some pointers I found to go further: 

* [The propensity score and estimation in nonrandom surveys - an overview][2] 
* [A Simulation Study to Compare Weighting Methods for Nonresponses in the National Survey of Recent College Graduates][3] 
* [A Comparison of Propensity Score and Linear Regression Analysis of Complex Survey Data][4].

As for a general reference, I would suggest 

> Kalton G, Flores-Cervantes I.
> Weighting Methods. J. Off. Stat.
> (2003) 19: 81-97. Available on
> http://www.jos.nu/


  [1]: http://www.fcsm.gov/01papers/Greene.pdf
  [2]: http://www.statistics.su.se/modernsurveys/publ/11.pdf
  [3]: http://www.amstat.org/sections/srms/proceedings/y2009/Files/304345.pdf
  [4]: http://www.jds-online.com/file_download/94/JDS-233.pdf
