## [Pairwise comparisons after significant interaction results: parametric or non?](http://stats.stackexchange.com/questions/11494/pairwise-comparisons-after-significant-interaction-results-parametric-or-non)

If I understand your question correctly, you are wondering why you got different p-values from your t-tests when they are carried out as post-hoc tests or as separate tests. But did you control the [FWER][1] in the second case (because this is what id done with the step down Sidak-Holm method)? Because, in case of simple t-tests, the t-values won't change, unless you use a different pooling method for computing variance at the denominator, but the p-value of the unprotected tests will be lower than the corrected one. 

This is easily seen with Bonferroni adjustment, since we multiply the observed p-value by the number of tests. With step-down methods like [Holm-Sidak][2], the idea is rather to sort the null hypothesis tests by increasing p-values and correct the alpha value with Sidak correction factor in a stepwise manner ($\alpha’ = 1 - (1 - \alpha)^k$, with $k$ the number of possible comparisons, updated after each step). Note that, in contrast to Bonferroni-Holm's method, control of the FWER is only guaranteed when comparisons are independent. A more detailed description of the different kind of correction for multiple comparisons is available here: [Pairwise Comparisons in SAS and SPSS][3].

 


  [1]: http://www.utdallas.edu/~herve/Abdi-Bonferroni2007-pretty.pdf
  [2]: http://www.utdallas.edu/~herve/Abdi-Bonferroni2007-pretty.pdf
  [3]: http://www.uky.edu/ComputingCenter/SSTARS/www/documentation/MultipleComparisons_3.htm#b13
