## [Computing percentile rank in R](http://stats.stackexchange.com/questions/11924/computing-percentile-rank-in-r)

Given a vector of raw data values, a simple function might look like

    perc.rank <- function(x, xo)  length(x[x <= xo])/length(x)*100

where `x0` is the value for which we want the percentile rank, given the vector `x`, as suggested on [R-bloggers][2]. 

However, it might easily be vectorized as

    perc.rank <- function(x) trunc(rank(x))/length(x)

which has the advantage of not having to pass each value. So, here is an example of use:

    my.df <- data.frame(x=rnorm(200))
    my.df <- within(my.df, xr <- perc.rank(x))

  [1]: http://cran.r-project.org/web/packages/CTT/index.html
  [2]: http://www.r-bloggers.com/r-tutorial-series-summary-and-descriptive-statistics/
