## [How to group-center / standardize variables in R?](http://stats.stackexchange.com/questions/15305/how-to-group-center-standardize-variables-in-r)

Here is a possible [plyr][1] solution. Note that it relies on the base `transform()` function.

    my.df <- data.frame(x=rnorm(100, mean=10), 
                        sex=sample(c("M","F"), 100, rep=T), 
                        group=gl(5, 20, labels=LETTERS[1:5]))
    library(plyr)
    ddply(my.df, c("sex", "group"), transform, x.std = scale(x))

(We can check whether it works as expected with e.g., `with(subset(my.df, sex=="F" & group=="A"), scale(x))`)

Basically, the 2nd argument describes how to "split" the data, the 3rd argument what function to apply to each chunk. The above will append a variable `x.std` to the data.frame. Use `x` if you want to replace your original variable by the scaled one.

  [1]: http://plyr.had.co.nz/
