## [Predicted by residual plot in R](http://stats.stackexchange.com/questions/18234/predicted-by-residual-plot-in-r)

A plot of residuals versus predicted response is essentially used to spot possible  heteroskedasticity (non-constant variance across the range of the predicted values), as well as influential observations (possible outliers). Usually, we expect such plot to exhibit no particular pattern (a funnel-like plot would indicate that variance increase with mean). Plotting residuals against one predictor can be used to check the linearity assumption. Again, we do not expect any systematic structure in this plot, which would otherwise suggest some transformation (of the response variable or the predictor) or the addition of higher-order (e.g., quadratic) terms in the initial model.

More information can be found in any textbook on regression or on-line, e.g. [Graphical Residual Analysis][1] or [Using Plots to Check Model Assumptions](http://www.ma.utexas.edu/users/mks/statmistakes/modelcheckingplots.html).

As for the case where you have to deal with multiple predictors, you can use [partial residual plot][2], available in R in the [car][3] (`crPlot`) or [faraway][4] (`prplot`) package. However, if you are willing to spend some time reading on-line documentation, I highly recommend installing the [rms][5] package and its ecosystem of goodies for regression modeling.


  [1]: http://itl.nist.gov/div898/handbook/pmd/section6/pmd614.htm
  [2]: http://en.wikipedia.org/wiki/Partial_residual_plot
  [3]: http://cran.r-project.org/web/packages/car/index.html
  [4]: http://cran.r-project.org/web/packages/faraway/index.html
  [5]: http://cran.r-project.org/web/packages/rms/index.html
