## [Tukey-Kramer test](http://stats.stackexchange.com/questions/18487/tukey-kramer-test)

It is called the *LSD Threshold Matrix*, according to the *JMP Statistics and Graphics Guide* (it is headed as `Abs(Dif)-LSD`), and those numbers reflect absolute difference between group means minus Fisher's least significant difference (LSD). They are displayed as off diagonal entries with the greatest difference in the upper-right or lower-left corner. The diagonal entries represent the comparison of each group mean with itself and are just the opposite of the LSD value.
(Note that the matrix is symmetric so you just need to look at the upper or lower diagonal entries.)

Hence, as stated in the documentation, a high positive value would indicate a large departure from the LSD, whereas negative values would mean that the observed difference of means is less than it. 
See also Ramirez and Ramirez, [*Analyzing and Interpreting Continuous Data Using JMP: A Step-by-Step Guide*][1], SAS Publishing 2009 (pp. 314-316), for more information on how JMP handles the computation of LSD and HSD. Gerard E. Dallal also offers a good overview of [Multiple Comparison Procedures][2]. 

**Note:** Given that you only have two groups, a t-test would be sufficient.

  [1]: http://www.sascommunity.org/wiki/Analyzing_and_Interpreting_Continuous_Data_Using_JMP:_A_Step-by-Step_Guide
  [2]: http://www.jerrydallal.com/LHSP/mc.htm
