## [Standard formula for quick calculation of scores](http://stats.stackexchange.com/q/20439/930)

There are different options for rescaling your summated scale scores (or [scaled scores][1]):

* Express every score on a 0-100 points scale, with higher scores reflecting higher locations on the latent trait each scale purports to assess;
* Standardize scores ($T$- or $z$-score) such that scores are deviations from the mean, expressed in standard deviation (SD) units. For $T$-scores, the mean and SD that are considered are 50 and 10, respectively.

(Percentile-based or normalized scores are also common options. Note that for $T$-scores, we usually rely on the empirical mean and SD of a larger population who endorsed all items previously (e.g., during large-scale field study) and which might be considered as a "reference population". Of course, more complex methods exist in the case of grading or [equating][2] raw scoring gathered throughout different measurement instruments.)

The use of a common scale makes more sense with sum scores (it doesn't matter much if you consider the mean instead of the sum, which is what social scientists generally prefer compared to psychologists), as @Macro pointed out.

Simple formulae exist in this case (this is just a rescaling problem), but the general idea can be summarized as follows:


    Scaled score = [(Raw score - Min response category score) / 
                     Range of possible response category scores] 
                     * 100

to get scores on a 100-point scale. If some items (or response categories) are negatively worded, you will need to reverse-score them first. Substract the resulting score from 100 to get scores expressed in the reverse direction.

Once each scale score (A, B, C) have been expressed on a common scale, you can use the arithmetic (unweighted) mean to compute your final score.


  [1]: http://en.wikipedia.org/wiki/Test_score
  [2]: http://en.wikipedia.org/wiki/Equating
