## [Tool to draw normal QQ-plot with 45 degree reference line](http://stats.stackexchange.com/questions/24852/tool-to-draw-normal-qq-plot-with-45-degree-reference-line)

Here is one possible Octave solution to your question: (largely inspired from the corresponding Matlab function)

    randn("state",255)
    x = normrnd(10, 2, 200, 1);
    [q, s] = qqplot(x);
    
    % compute the y=x line
    dx = prctile(q, 75) - prctile(q, 25);
    dy = prctile(s, 75) - prctile(s, 25);
    b = dy./dx;                                % slope
    xc = (prctile(q, 25) + prctile(q, 75))/2;  % center points
    yc = (prctile(s, 25) + prctile(s, 75))/2;  % ...
    ymax = yc + b.*(max(q)-xc);
    ymin = yc - b.*(xc-min(q));
    
    plot(q, s, "Linestyle", "none", "Marker", "+")
    line([min(q); max(q)], [ymin; ymax])

![enter image description here][1]


  [1]: http://i.stack.imgur.com/E6ulG.png
